;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;SYSTEM tables I
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.cseg
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;C) prozPSCtbl 
;verknpfung empfangener HIF-Indexes mit aktuellem prozPSC
;adressierung: _prozPSCtbl+prozPSC
;ACHTUNG: 0=dummy !!
_prozPSCtbl:
	.dw	_STARTtbl*2,_MAINtbl*2,0,_PWROFFtbl*2,_PWRONtbl*2,0,0,_ABOUTtbl*2,_PROCtbl*2,_MACROtbl*2,0,_TIMERtbl*2,_TIM0tbl*2	;0...12
	.dw	_TIM1tbl*2,_TIM2tbl*2,_TIM3tbl*2,0,0,_MACCESStbl*2,_TPWMtbl*2,_TPWMeditbl*2,_DELtbl*2,0,0,0,_COMPAREtbl*2,COMPARE2tbl*2,0		;13..27
	.dw COMPARE3tbl*2,0,_DIRAtbl*2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,PROGtbl*2,DISPLAYtbl*2,DISBRtbl*2		;28..57
	.dw	DISCOtbl*2,SECUREtbl*2,0,HOTSHOTtbl*2,0,SENSORICtblA*2,0,0,0,0,0,0,0,0,0,0,0,0,SENSORICtblB*2,SENSORICtblC*2																;58..61



;PZpsc=0 indexwert 255 <=> kein auswahlindex 
_STARTtbl:
	.db	1,0				;indexX=psc1


;PZpsc=1 umfasst 5 indexe
_MAINtbl:
	.db	0,2,8,55,63,7	;index0=psc0
						;index1=psc2  (power)
						;index2=psc8  (process)
						;index3=psc55 (setup)
						;index4=psc63 (sensoric)
						;index5=psc7  (info)
					
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=3 umfasst 2 indexe
_PWROFFtbl:
	.db 1,5				;index0=psc1  (zurck zum vorherigen men)
						;index1=psc5  (execute power off)


;PZpsc=4 umfasst 2 indexe
_PWRONtbl:
	.db 1,6				;index0=psc1  (zurck zum vorherigen men)
						;index1=psc6  (execute power on)

;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


;PZpsc=7 indexwert 255 <=> kein auswahlindex
_ABOUTtbl:
	.db	1,0					;indexX=psc1



;PZpsc=8 umfasst 5 indexe 
_PROCtbl:
	.db	1,9,11,18,61,0		;index0=psc1  (zurck zum vorherigen men)
							;index1=psc9  (macroauswahl)
							;index2=psc11 (timers)
							;index3=psc18 (manuell parameter)
							;index4=psc61 (hot shot access)
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=9 umfasst 	<=> keine auswahl
_MACROtbl:			
	.db	10,0
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=11 umfasst 5 indexe
_TIMERtbl:
	.db	8,12,13,14,15,0		;index0=psc8 (zurck zum vorherigen men)
							;index1=psc12(timer0)
							;index2=psc13(timer1)
							;index3=psc14(timer2)
							;index4=psc15(timer3)
;PZpsc=12 umfasst 3 indexe
_TIM0tbl:
	.db	11,16,12,0		;index0=psc11 (zurck zum vorherigen men)
						;index1=psc16(timerX enabled)
						;index2=psc12
;PZpsc=13 umfasst 3 indexe
_TIM1tbl:
	.db	11,16,13,0		;index0=psc11 (zurck zum vorherigen men)
						;index1=psc16(timerX enabled)
						;index2=psc13

;PZpsc=14 umfasst 3 indexe
_TIM2tbl:
	.db	11,16,14,0		;index0=psc11 (zurck zum vorherigen men)
						;index1=psc16(timerX enabled)
						;index2=psc14
;PZpsc=15 umfasst 3 indexe
_TIM3tbl:
	.db	11,16,15,0		;index0=psc11 (zurck zum vorherigen men)
						;index1=psc16(timerX ststus)
						;index2=psc15
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=18 umfasst 7 indexe
_MACCESStbl:
	.db	8,19,21,25,30,0			;index0=psc8 (zurck zum vorherigen men)
								;index1=psc19 (trigg.pwm)
								;index2=psc21 (delays)
								;index4=psc25 (compare)
								;index5=psc30 (dir)
		




;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=19 umfasst max.10 indexe
_TPWMtbl:
	.db	31,19,19,19,19,19,19,19,19,19		;index0   =psc31 (store to macro zurck zum vorherigen men)
											;index1   =psc19 (edit all)
											;index2..9=psc19 (edit one loop)

;PZpsc=20 
_TPWMeditbl:
	.db	19,19
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=21 umfasst max. 10 indexe
_DELtbl:
	.db	31,21,21,21,21,21,21,21,21,21		;index0   =psc31 (store to macro zurck zum vorherigen men)
											;index1   =psc21 (all delay on)
											;index2..9=psc21 (single delays on..)	





;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=22...24 == none
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=25 umfasst 4 indexe
_COMPAREtbl:
	.db	31,25,25,25				;index0=psc31 (store to macro zurck zum vorherigen men)
								;index1=psc25 (all compare devices)
								;index2=psc25 (single compare devices) 	

;PZpsc=26 umfasst 4 indexe
COMPARE2tbl:
	.db	25,26,26,26				;index0=psc25 (zurck zum vorherigen men)
								;index1=psc26 (all compare dev. stop)
								;index2=psc26 (all compare dev. down)
								;index3=psc26 (all compare dev. up)
								
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=27 == none
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=28 umfasst 4 indexe
COMPARE3tbl:
	.db	25,28,28,28				;index0=psc25 (zurck zum vorherigen men)
								;index1=psc28 (compare dev. stop)
								;index2=psc28 (compare dev. down)
								;index3=psc28 (compare dev. up)
		
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=29 == none
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=30 umfasst max.10 indexe
_DIRAtbl:
	.db	31,30,30,30,30,30,30,30,30,30	;index0		=psc31 (store to macro zurck zum vorherigen men)
										;index1		=psc30 (toggle all direct devices)
										;index2...9	=psc30 (toggle direct device) 	


;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=31...54 == none
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=55
PROGtbl:
	.db	1,59,56,0				;index0=psc1 (zurck)
								;index1=psc59(secure area / program-mode)
								;index2=psc56(display setup)
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=56
DISPLAYtbl:
	.db	55,57,58,0				;index0=psc55 (zurck)
								;index1=psc57 (display brightness)
								;index2=psc58 (display contrast)
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=57
DISBRtbl:
	.db	56,0
;PZpsc=58
DISCOtbl:
	.db	56,0
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
							
;PZpsc=59
SECUREtbl:
	.db	55,60					;index0=psc55 (zurck)
								;index1=psc60 (secure entry)
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=60 none
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;PZpsc=61
HOTSHOTtbl:
	.db	61,61,61,61				;index 0 	=back
								;index 1..2 =loop

;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=62 e2p read-loop & frame builder
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=63
SENSORICtblA:
	.db	1,64,65,66,67,68,69,70,71,72,73,74,75,75	;index0 =back							
													;index1 =a-temp display
													;index2	=i-temp display
													;....
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=64..75 select
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;PZpsc=76
SENSORICtblB:
	.db	76,76,76,76	;index0 =back	

;PZpsc=77
SENSORICtblC:
	.db	77,77,77,77	;index0 =back	


;---------------------------------------------------------------------------------------------------------------

;info:
;a)datenstruktur: <para.function><basistext X><auswahlmenu X>
;			<subauswahlmenu X><infotextbaustein X><graph.baustein X>
;			<PARAx><paraPOSx><paraMINx><paraMAXx>...
;
;b)parameter funktionen (tabelle):
;
;Bit                           |7  |6  |5  |4  |3  |2  |1  |0  |Hex  |
;______________________________|___|___|___|___|___|___|___|___|_____|
;                              |edi|par|num|bar|p3 |p2 |p1 |p0 |     |
;______________________________|___|___|___|___|___|___|___|___|_____|
;edit alphnum.parameter        | x | x |   |   |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;edit num. parameter           | x | x | x |   |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;edit num. bargraph-parameter  | x | x | x | x |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;display alphanum.parameter    |   | x |   |   |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;display num.parameter 		   |   | x | x |   |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;display num. bargraph-param.  |   | x | x | x |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;keine parameter-funktion      |*  |   |*  |*  |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;
;p0-p3=anzahl angefgter parameter
;numG	=numerische darstellung
;parG =parameter
;barG =bargraph
;ediG =parameter editieren
;
;.....................................................
;graphische symbol-, funktionsauswahl (graphFU):
;
;_____________________________________________
;no function |1  |1  |1  |1  |1  |1  |1  |1  |
;____________|___|___|___|___|___|___|___|___|
;show ic_sym |0  |0  |0  |0  |1  |1  |1  |1  |
;____________|___|___|___|___|___|___|___|___|
;show wlanA  |0  |0  |0  |1  |1  |1  |1  |1  |
;____________|___|___|___|___|___|___|___|___|
;show wlanB  |0  |0  |1  |0  |1  |1  |1  |1  |
;____________|___|___|___|___|___|___|___|___|
;show wlanC  |0  |0  |1  |1  |1  |1  |1  |1  |
;____________|___|___|___|___|___|___|___|___|
;show wlanD  |0  |1  |0  |0  |1  |1  |1  |1  |
;____________|___|___|___|___|___|___|___|___|
;show i2c_sym|0  |1  |0  |1  |1  |1  |1  |1  |
;____________|___|___|___|___|___|___|___|___|
;show push_bu|0  |1  |1  |0  |1  |1  |1  |1  |
;____________|___|___|___|___|___|___|___|___|

; .
; .
; .
;_____________________________________________
;shift l/r   |x  |x  |x  |x  |0  |1  |1  |1  |
;____________|___|___|___|___|___|___|___|___|
;
;
;_____________________________________________
;show bigTXT |1  |1  |1  |1  |1  |0  |1  |1  |
;____________|___|___|___|___|___|___|___|___|
;
;
;_____________________________________________
;dyn  all sym|x  |x  |x  |x  |1  |1  |0  |1  |
;____________|___|___|___|___|___|___|___|___|

;********************************************************************************************************************************


;pzHIF-tabellen -> versand via spi zum HIF

;A) cross-table
_pzHIFtbl:
	.dw	_HIFstart*2,_HIFmain*2,_HIFpoff*2,_HIFpon*2,_HIFabout*2,_HIFproc*2,_HIFmac*2,_HIFtim*2,_HIFgtim*2,_HIFman*2	  	;0..9
	.dw	_HIFpwmA*2,_HIFpwmB*2,_HIFpwmC*2,_HIFpwmD*2,0,0,0,0,_HIFdelA*2,_HIFdelB*2,0,0,0,0,0,0,0,0,0,0					;10..29
	.dw	0,0,0,_HIFcomA*2,_HIFcomB*2,_HIFcomC*2,_HIFcomD*2,_HIFcomE*2,_HIFcomF*2,0,0										;30...40
	.dw	_HIFdiraA*2,_HIFdiraB*2,0,0,0,0,0,0,0,0,0,0,0,0,0,_HIFmacB*2,_HIFproF*2,_HIFdisA*2								;41...58
	.dw	_HIFdisB*2,_HIFdisC*2,_HIFdisD*2,_HIFdisE*2,_HIFsec*2,_HIFrtcA*2,_HIFrtcB*2,_HIFshot_tblA*2,_HIFshot_redtblA*2	;59...67										
	.dw	_HIFparaDISa*2,_HIFparaDISb*2,_HIFparaDISc*2,_HIFparaDISd*2,_HIFparaDISe*2,_HIFparaDISf*2,_HIFparaDISg*2		;68...74
	.dw	_HIFparaDISh*2,_HIFparaDISi*2,_HIFparaDISj*2,_HIFparaDISk*2,_HIFparaDISl*2,_HIFparaDISm*2,_HIFpararedDISb*2     ;75...81        
	.dw	_HIFpararedDISc*2,_HIFpararedDISd*2,_HIFpararedDISe*2,_HIFpararedDISf*2,_HIFpararedDISg*2,_HIFpararedDISh*2		;82...87
	.dw	_HIFpararedDISi*2,_HIFpararedDISj*2,_HIFpararedDISk*2,_HIFpararedDISl*2,_HIFpararedDISm*2						;88...92	



;B)via cross-table adressed  
;16-bit adressing: <_pzHIFtbl+pzHIF>
;example:
;
;ZLSB=0 take lower  nibble
;ZLSB=1 take higher nibble
;
;
;lds	r17,pzHIF
;ldi	zh,high(_pzHIFtbl*2)
;ldi	zl,low(_pzHIFtbl*2)
;pointer *2
;ldi	r18,2
;mul	r17,r18
;startadress +pointer =LSB
;add	zl,r0
;adc	zh,r1
;lpm	r0,z+		;lower adress nibble in r0
;startadresse+pointer+1=MSB
;lpm	r1,z		;higher adress nibble in r1





;HIF=0
_HIFstart:
	.db	0,1,255,255,255,255		;keine para,basistext 1,keine weiteren auswahl 
;HIF=1
_HIFmain:
	.db 0,2,0,255,255,255		;keine para,base:1,H-auswahl:0
;HIF=2
_HIFpoff:
	.db	0,3,255,0,255,255		;keine para,base:3,keine H-auswahl,sub-auswahl:0
;HIF=3
_HIFpon:
	.db	0,3,255,1,255,255		;keine para,base:3,keine H-auswahl,sub-auswahl:1
;HIF=4
_HIFabout:
	.db	0,22,255,255,0,251	;keine para,base:22,keine H-auswahl,keine sub-auswahl /big txt0
;HIF=5
_HIFproc:
	.db	0,4,1,255,255,255		;keine para,base:4,H-auswahl:1,keine sub-auswahl
;HIF=6
_HIFmac:
	.db	225,5,255,12,255,255,0,7,0,9		;edit 1x num-parameter.base:5 
;HIF=7
_HIFtim:
	.db	68,6,3,255,255,255,0,33,0,255,0,53,0,255,0,73,0,255,0,93,0,255		;4xascii para,base:6,H-auswahl:3
;HIF=8
_HIFgtim:
	.db	72,6,255,2,255,255,0,16,0,255,0,35,0,255,0,44,0,255,0,45,0,255,0,51,0,255,0,52,0,255,0,58,0,255,0,59,0,255			;display 4xascii parameter,base:6,keine H-auswahl,sub-auswahl:2
;HIF=9
_HIFman:
	.db	0,7,4,255,255,255		;keine para,base:7,H-auswahl:4

;-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;full light screen
;HIF=10
_HIFpwmA:
	.db	233,8,6,255,255,255,  0,37,126,128,  0,57,0,255,  0,77,0,255,  0,97,0,255,  0,117,0,255,  0,137,0,255,  0,157,0,255,  0,177,0,255,  0,197,0,255 		;edit 9x para,base:8,H-auswahl:6		
;red. light screen
;HIF=11
_HIFpwmB:
	.db	233,255,6,255,255,255,  0,37,126,128,  0,57,0,255,  0,77,0,255,  0,97,0,255,  0,117,0,255,  0,137,0,255,  0,157,0,255,  0,177,0,255,  0,197,0,255 		;9x para,base:-,H-auswahl:6		
;full light edit screen
;HIF=12
_HIFpwmC:
	.db	241,9,255,255,90,255,0,16,0,255	;edit 1x num.para & bargraph,base:9,keine H-auswahl,keine sub-auswahl,text:90	
;red light edit screen
;HIF=13
_HIFpwmD:
	.db	241,255,255,255,90,255,0,16,0,255	;edit 1x num.para & bargraph,base:9,keine H-auswahl,keine sub-auswahl,text:90	
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;hif=14..17 ==none
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

;full delay screen
;HIF=18
_HIFdelA:
	.db	104,10,11,255,255,255, 0,58,0,255,  0,78,0,255,  0,98,0,255,  0,118,0,255,  0,138,0,255,  0,158,0,255,  0,178,0,255,  0,198,0,255		;8x para,base:10,H-auswahl:11
;red. delay screen
;HIF=19
_HIFdelB:
	.db	104,255,11,255,255,255, 0,58,0,255,  0,78,0,255,  0,98,0,255,  0,118,0,255,  0,138,0,255,  0,158,0,255,  0,178,0,255,  0,198,0,255		;8x para,base:10,H-auswahl:11		

;------------------------------------------------------------------------------------------------------------------------------------
;HIF=20..32 == none
;---------------------------------------------------------------------------------------------------------------------------

;full blend screen A
;HIF=33
_HIFcomA:
	.db	225,12,21,255,255,255,  0,57,0,7	;1x edit para,base:12,H-auswahl:21
;red. blend screen
;HIF=34
_HIFcomB:
	.db	225,255,21,255,255,255,  0,57,0,7	;1x edit para,base:-,H-auswahl:21
;-----------------------------------------------------------------------------------------------------------
;full all blend screen
;HIF=35
_HIFcomC:
	.db	0,12,22,255,255,255		;para,base:12,H-auswahl:22
;red all blend screen
;HIF=36
_HIFcomD:
	.db 0,255,22,255,255,255	;base:12H-auswahl:22
;--------------------------------------------------------------------------------------------------------------
;full single blend
;HIF=37
_HIFcomE:
	.db 99,12,23,255,255,255,  0,31,0,7,  0,51,0,7,  0,71,0,7		;display 3xnum. para,base:18,H-auswahl:23
;red. single blend
;HIF=38
_HIFcomF:
	.db 99,255,23,255,255,255,  0,31,0,7,  0,51,0,7,  0,71,0,7		;display 3xnum. para,base:-,H-auswahl:23

;---------------------------------------------------------------------------------------------------------------
;hif=39&40 == none
;------------------------------------------------------------------------------------------------------------------
;
;full direct screen
;HIF=41
_HIFdiraA:
	.db	72,13,26,255,255,255,  0,59,0x2b,0x2d,  0,79,0x2b,0x2d,  0,99,0x2b,0x2d,  0,119,0x2b,0x2d,  0,139,0x2b,0x2d,  0,159,0x2b,0x2d,  0,179,0x2b,0x2d,  0,199,0x2b,0x2d		;8x ascii para,base:13,H-auswahl:26
;red. direct screen
;HIF=42
_HIFdiraB:
	.db	72,255,26,255,255,255,  0,59,0x2b,0x2d,  0,79,0x2b,0x2d,  0,99,0x2b,0x2d,  0,119,0x2b,0x2d,  0,139,0x2b,0x2d,  0,159,0x2b,0x2d,  0,179,0x2b,0x2d,  0,199,0x2b,0x2d		;8x ascii para,base:-,H-auswahl:26
;
;---------------------------------------------------------------------------------------------------------------
;hif=43..55 == none
;------------------------------------------------------------------------------------------------------------------
;
;
;HIF=56
_HIFmacB:
	.db	225,255,255,12,255,255,0,7,0,20		;edit 1x num-parameter.base:5 
;HIF=57
_HIFproF:
	.db	0,15,35,255,255,255			;,base:15, H-auswahl:35
;HIF=58
_HIFdisA:
	.db	0,16,255,13,255,255			;,base:16, SUB-auswahl:13
;HIF=59
_HIFdisB:
	.db	241,17,255,255,86,255,0,19,10,220		;display 1xnum. para,base:17,SUB-auswahl:86
;HIF=60
_HIFdisC:
	.db	241,255,255,255,86,255,0,19,10,220		;display 1xnum.,SUB-auswahl:86
;HIF=61
_HIFdisD:
	.db	241,18,255,255,87,255,0,19,10,220		;display 1xnum. para,base:18,SUB-auswahl:87
;HIF=62
_HIFdisE:
	.db	241,255,255,255,87,255,0,19,10,220		;display 1xnum.,SUB-auswahl:87
;HIF=63
_HIFsec:
	.db	0,19,255,14,255,255			;base=19/sub=14
;HIF=64
;display ascii rtc para
_HIFrtcA:
	.db	78,1,255,255,2,7, 0,0,0,255, 0,1,0,255,0,3,0,255,0,4,0,255,0,6,0,255,0,7,0,255,0,8,0,255,0,11,0,255,0,12,0,255,0,14,0,255,0,15,0,255,0,17,0,255,0,18,0,255,0,19,0,255	;base=1/txt=2/para x14/graph 7 shift
;HIF=65
;display ascii rtc para
;NOTE:x,x,x,x,x,111 displays push sym
;     x,x,x,x,x,95  displays i2c sym
;     x,x,x,x,x,127 displays system sym
_HIFrtcB:
	.db	78,255,255,255,2,127, 0,0,0,255,0,1,0,255,0,3,0,255,0,4,0,255,0,6,0,255,0,7,0,255,0,8,0,255,0,11,0,255,0,12,0,255,0,14,0,255,0,15,0,255,0,17,0,255,0,18,0,255,0,19,0,255	;txt=2/para x14/graph95

;................................................................................................................................................................................................................
;group access
;
;HIF=66
;(hs name)
_HIFshot_tblA:
	.db	199,85,255,59,255,255,   0,38,0x30,0x34,   0,49,0x30,0x7e,   0,51,0x30,0x7e,  0,53,0x30,0x7e,   0,55,0x30,0x7e,   0,57,0x30,0x7e,   0,59,0x30,0x7e  	;base:85/sub:59/edit:7 x ascii-para <POS:    >

;prHIF=67
;(red. hs name)
_HIFshot_redtblA:
	.db	199,255,255,59,255,255,   0,38,0x30,0x34,   0,49,0x30,0x7e,   0,51,0x30,0x7e,  0,53,0x30,0x7e,   0,55,0x30,0x7e,   0,57,0x30,0x7e,   0,59,0x30,0x7e  	;base:-/sub:59/edit:7 x ascii-para <POS:    >


;................................................................................................................................................................................................................
;SENSORIC DISPLAY
;prHIF=68
_HIFparaDISa:
	.db	0,90,59,255,255,255	;base:90/aus:59/sub:-/para:-

;++++
;prHIF=69
_HIFparaDISb:
	.db	200,91,255,63,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7 ascii edit
;prHIF=70
_HIFparaDISc:
	.db	200,91,255,64,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=71
_HIFparaDISd:
	.db	200,91,255,65,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=72
_HIFparaDISe:
	.db	200,91,255,66,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=73
_HIFparaDISf:
	.db	200,91,255,67,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=74
_HIFparaDISg:
	.db	200,91,255,68,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=75
_HIFparaDISh:
	.db	200,91,255,69,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=76
_HIFparaDISi:
	.db	200,91,255,70,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=77
_HIFparaDISj:
	.db	200,91,255,71,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=78
_HIFparaDISk:
	.db	200,91,255,72,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=79
_HIFparaDISl:
	.db	200,91,255,73,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;prHIF=80
_HIFparaDISm:
	.db	200,91,255,74,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:7
;+++++

;++++
;prHIF=81
_HIFpararedDISb:
	.db	200,255,255,63,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=82
_HIFpararedDISc:
	.db	200,255,255,64,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=83
_HIFpararedDISd:
	.db	200,255,255,65,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=84
_HIFpararedDISe:
	.db	200,255,255,66,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=85
_HIFpararedDISf:
	.db	200,255,255,67,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=86
_HIFpararedDISg:
	.db	200,255,255,68,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=87
_HIFpararedDISh:
	.db	200,255,255,69,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=88
_HIFpararedDISi:
	.db	200,255,255,70,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=89
_HIFpararedDISj:
	.db	200,255,255,71,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=90
_HIFpararedDISk:
	.db	200,255,255,72,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=91
_HIFpararedDISl:
	.db	200,255,255,73,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;prHIF=92
_HIFpararedDISm:
	.db	200,255,255,74,255,255,			0,37,0x30,0x39,		0,47,0x20,0x2d,		0,49,0x30,0x39,		0,50,0x30,0x39,		0,51,0x30,0x39,		0,52,0x30,0x39,		0,53,0x20,0x2d,		0,54,0x30,0x39	;base:91/aus:-/sub:63/para:6
;+++++

;.................................................................................................................................................





;********************************************************************************************************************************
;********************************************************************************************************************************
;********************************************************************************************************************************
;********************************************************************************************************************************
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;D) progPSCtbl 
;verknpfung empfangener HIF-Indexes mit aktuellem progPSC
;adressierung: _progPSCtbl+progPSC
;ACHTUNG: 0=dummy !!
_progPSCtbl:
	.dw	0,_EPIN*2,0,_RTCmenu*2,_TIMEed*2,_DATEed*2,_Pmenu*2,_TIMmenu*2,_TIMAedi*2,_TIMBedi*2,_TIMCedi*2,_TIMDedi*2			;0..11
	.dw	_PPINedi*2,_PPKATedi*2,0,0,0,0,0,0,_PPKATloop*2,0,_DELmenuA*2,_DELcat*2,_DELpwr*2,_DELeve*2,_DELintA*2,_DELintB*2	;12...27
	.dw	0,0,0,_DELloop*2,0,_ADCloopA*2,0,_ENTRYedi*2,0,_CompA*2,_COMPAy*2,_COMPAx*2,_CompB*2,0,_CompD*2,_CompE*2,_CompF*2	;28...44
	.dw	0,0,0,0,0,_MACa*2,_MACb*2,_MACc*2,0,0,_serIFa*2,_serIFb*2,0,0,0,_serIFc*2,0,_serIFd*2,_serIFe*2,_serIFf*2			;45..64
	.dw	0,0,0,0,_serIFg*2,0,_serIFh*2,_serIFi*2,_serIFj*2,_serIFk*2,_serIFl*2,0,0,_serIFm*2,0,0,_switchA*2					;65..81      
	.dw	_switchB*2,_switchC*2,0,_adcCHA*2,_objectSELa*2,_objectSELb*2,_objectDCLa*2,_objectDCLb*2,0,0						;82..91
	.dw	_filterSELa*2,_filterDCLa*2,_filterDCLb*2,0,0,_keySEQUa*2,_keySEQUb*2,_keySEQUc*2,_keySEQUd*2,0,0                   ;92..102       
	.dw	_fullREMa*2,_fullREMb*2,0,0,_groupREMc*2,0,0,0,0,0,0,_groupREMd*2,0,0,_HSsetA*2,_HSsetB*2,0,0,0,_HSsetC*2,0,0,0,0	;103...126
	.dw	_HSsetD*2,0,0,0,_HSsetE*2,0,0,0,_HSsetF*2,0,0,0,0,0,_COX_setA*2,_COX_setB*2,0,0,_COX_setC*2,_COX_setD*2,0			;127...147
	.dw	0,0,0,_ADC_setA*2,_ADC_setB*2,0,0,_EXTifCON*2,0,_serIFcCombi*2,0,0,_extendTIMER*2,_extendTIMERday*2,_erasePROFILE*2 ;148...162
    .dw _erasePROFILEex*2




;progPSC=1
_EPIN:
	.db	1,1,1,1,2,1		

;progPSC=3											
_RTCmenu:
	.db	6,4,5,0		;index0=zurck zur hauptauswahl
					;index1=time setup
					;index2=date setup
;progPSC=4
_TIMEed:
	.db	3,4,4,4		;index0=zurck zur auswahl
					;index1&2=loop
;progPSC=5
_DATEed:
	.db	3,5,5,5		;index0=zurck zur auswahl
					;index1&2&3=loop

;progPSC=6
_Pmenu:
	.db	0,3,7,12,33,84,22,35,37,50,55,81,97,117,141,160,162,162	;index0=lock&verlasse secure area (psc spter bestimmen....)
														        ;index1=rtc setting
														        ;index2=rtc timer set
														        ;index3=port setting
														        ;index4=adc-hysteresis
														        ;index5=adc channels
														        ;index6=delays
														        ;index7=entry pin set
														        ;index8=compare init
														        ;index9=macro definition
														        ;index10=serial if
														        ;index11=switch port
														        ;index12=key sequencer
														        ;index13=hot shot setup
														        ;index14= compare & execute
                                                                ;index15= extended timer
                                                                ;index16= erase configuration
;progPSC=7
_TIMmenu:
	.db	6,8,9,10,11,0	;index0=zurck
					    ;index1=timer0
					    ;index2=timer1
					    ;index3=timer2
					    ;index4=timer3
;progPSC=8
_TIMAedi:
	.db	7,8,8,8			;index0=zurck
						;index1..3=loop
;progPSC=9
_TIMBedi:
	.db	7,9,9,9 		;index0=zurck
						;index1..3=loop
;progPSC=10
_TIMCedi:
	.db	7,10,10,10		;index0=zurck
						;index1..3=loop
;progPSC=11
_TIMDedi:
	.db	7,11,11,11		;index0=zurck
						;index1..3=loop

;progPSC=12
_PPINedi:
	.db	13,12			;index0=weiter
						;index1=loop

;progPSC=13
_PPKATedi:
	.db	6,14,15,16,17,18,19,0	;index0=zurck z. auswahl
								;index1=trigg.pwm
								;index2=delay
								;index3=intervall
								;index4=compare
								;index5=direkt(A)
								;index6=direkt(B)

;progPSC=20
_PPKATloop:
	.db	21,20			;index0=weiter
						;index1=loop
;progPSC=21 <=> none

;progPSC=22
_DELmenuA:
	.db	6,23,24,25,26,26	;index0=zurck z. auswahl
							;index1=cat.delay
							;index2=pwr delay
							;index3=event delay
							
							
;proPSC=23
_DELcat:
	.db	22,30,30,30,30,30	;index0=zurck z. auswahl
							;index1=cat.delay 0
							;index2=cat delay 1
							;index3=cat delay 2
							;index4=cat	delay 3

;proPSC=24
_DELpwr:
	.db	22,30,30,30,30,30	;index0=zurck z. auswahl
							;index1=softup.delay 
							;index2=softdown delay 
							;index3=currentoff delay 
							;index4=poweroff delay 

;proPSC=25
_DELeve:
	.db	22,30,30,30 		;index0=zurck z. auswahl
							;index1=event delay 0
							;index2=event delay 1
;proPSC=26
_DELintA:
	.db	22,27,27,27,27,27 	;index0=zurck z. auswahl
							;index1=intervall delay 0
							;index2=intervall delay 1
							;index3=intervall delay 2
							;index4=intervall delay 3								
;proPSC=27
_DELintB:
	.db	22,28,29,29	        ;index0=zurck z. auswahl
							;index1=intervall on delay
							;index2=intervall off delay
;progPSC=28=none
;progPSC=29=none
;progPSC=30=none

;progPSC=31
_DELloop:
	.db	32,31,31,31,31,31	;index0=speichern&zurck zur auswahl
							;index1&2&3=loop

;progPSC=32=none

;progPSC=33
_ADCloopA:
	.db	6,33,34,33			;index0=zurck
							;index1=loop
							;index2=store hyst. & back
	
;progPSC=34=none

;progPSC=35
_ENTRYedi:
	.db	6,35,35,35,36,35	;index0=zurck zur hauptauswahl(ohne speichern)
							;index1...4=loop 
;progPSC=36=none

;progPSC=37
_CompA:
	.db	6,38				;index0=zurck
							;index1=all up
;progPSC=38
_COMPAy:
	.db	39,39
;progPSC=39
_COMPAx:
	.db	39,39				;indexX=bleibt...

;progPSC=40
_CompB:
	.db	40,40,40,40,40,40	;index0=zurck
							;index1...4 <=> devicewahl
;progPSC=41
;_CompC:
;	.db	41,37				;index0=start device down
							;index1=speichern noch nicht mglich....
;progPSC=42
_CompD:
	.db	43,43				;index0=device down running...
							;index1=speichern....

;progPSC=43
_CompE:
	.db	43,37				;index0=start device up
							;index1=speichern noch nicht mglich....
;progPSC=44
_CompF:
	.db	45,45				;index0=device up running...
							;index1=speichern....
;progPSC=45...49 =none

;progPSC=50
_MACa:
	.db	6,52,51,51			;index0=zurck
							;index1=para to macro
							;index2=macro to timer
;progPSC=51
_MACb:
	.db	6,51,51,51,51,51	;index0=zurck
							;index1...4 loop

;progPSC=52
_MACc:
	.db	53,52				;index0=store
							;index1 loop
;progPSC=53&54=none

;progPSC=55
_serIFa:
	.db	6,56,157,62,86,103       	;index0=back
									;index1=serIF mode
									;index2=lha & ident
									;index3=profiler
									;index4=object setting
									;index5=full remote
									
;progPSC=56
_serIFb:
	.db	55,57,58,59,154,154			;index0=back
							        ;index1=serIF off
							        ;index2=serIF wired
							        ;index3=serIF wireless
                                    ;index4=goto extended configuration
;progPSC=57/58/59=none

;lha ID
;progPSC=60
_serIFc:
	.db	60,60,60,60,60,60,60,60,60,60,60,60				;index0      = zurck & store
														;index1...11 = loop

;progPSC=61=none (store loop)

;progPSC=62
_serIFd:
	.db	63,62				;index0=weiter
							;index1=loop

;progPSC=63
_serIFe:
	.db	79,64,75,69     		;index0=back (store profile to e2prom)
								;index1=lab/sab adresses
								;index2=data adresses
								;index3=mode id
;progPSC=64
_serIFf:
	.db	63,64,64,64,64,64,64,64,64,64,64,64,64,64,64,64,64,64		;index0=back&store
																;index1=loop
							
;progPSC=65/66/67/68=none
	
;progPSC=69
_serIFg:
	.db	70,69,69,69,69,69,69,69,69,69,69,69	;index0=back&store
											;index1..10=loop
;progPSC=70=none

;progPSC=71
_serIFh:
	.db	63,72,73,74,79,79			;index0=back
							;index1=rtc events
							;index2=timer events
							;index3=system events
							;index4=switch port
;progPSC=72
_serIFi:
	.db	71,72,72,72,72,72,72,72		;index0=back&store
									;index1...7=loop

;progPSC=73
_serIFj:
	.db	71,73,73,73					;index0=back&store
									;index1...2=loop

;progPSC=74
_serIFk:
	.db	71,74,74,74,74,74,74,74,74,74		;index0=back&store
											;index1...7=loop
;progPSC=75
_serIFl:
	.db	78,75,75,75,75,75,75,75,75,75,75,75,75,75	;index0=back&store
													;index1 store matrix
													;index2..4.loop
													;index5 store quantity
													;index6..8 loop
													;index9 store event
													;index10..12 loop
;progPSC=76&77=none

;progPSC=78
_serIFm:
	.db	63,78,78,78,78,78,78,78,78,78,78,78		;index0=back
												;index1...11=loop

;progPSC=79&80=none

;progPSC=81
_switchA:
	.db	6,81,81,81,81,81,81,81      	;index0=back
										;index1...7=loop
;progPSC=82
_switchB:
	.db	82,82,82,82,82,82           	;index0=back
										;index1...5=loop
;progPSC=83
_switchC:
	.db	83,83,83,83,83,83,83,83         ;index0=back
										;index1...7=loop





;progPSC=84 none

;progPSC=85
_adcCHA:								;index0		=back
	.db	6,147,148,149,150,85			;index1	= define adcA
										;index2	= define adcB
										;index3	= define adcC
										;index4	= define adcD
;..............................................................
;object setting
;progPSC=86
_objectSELa:
	.db	55,87,92,0						;index0 = back
										;index1 = objectframer
										;index2 = objectfilter
;sel. object
;progPSC=87
_objectSELb:
	.db	88,87							;index0 = go on
										;index1 = loop

;edit dataclass/eol...
;progPSC=88
_objectDCLa:
	.db	86,88,88,88,88,88,88,88,88,88,88,88,88,88,88,89		;index0      = back
															;index1...14 = loop
															;index15	 = edit data-adresses

;edit datalimit/adresses
;progPSC=89
_objectDCLb:
	.db	90,89,89,89,89,89,89,89,89,89						;index0      = back&store to e2p
															;index1...9  = loop
															
;progPSC=90&91 none

;progPSC=92
_filterSELa:
	.db	93,92				;index0 = go on
							;index1 = loop

;edit dataclass/clientadress...
;progPSC=93
_filterDCLa:
	.db	94,93,93,93,93,93,93,93,93,93,93,93					;index0      = go on
															;index1...10 = loop
														
;edit datalimit/adresses
;progPSC=94
_filterDCLb:
	.db	95,94,94,94,94,94,94,94,94,94						;index0      = back&store to e2p
															;index1...9  = loop
;progPSC=95&96 none									


;setup key sequencer
;progPSC=97
_keySEQUa:
	.db	6,97		;0=back (hauptauswahl)
					;1=loop (edit/next step)
;progPSC=98
_keySEQUb:
	.db	97,98,98,98,98,98,99,99	;0		=back
								;1...5 	=loop
								;6		=show/edit executes
;progPSC=99
_keySEQUc:
	.db	101,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99			;0		=store segment to e2prom
																				;1...18 =loop
																			
;progPSC=100
_keySEQUd:
	.db	99,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100	;0		=back
																		;1...15 =loop
;progPSC= 101 & 102 e2prom loop


;-------------------------------------------------------------------------------------------
;progPSC=103
_fullREMa:
	.db	103,103,103,103,103,103				;index0..3=loop

;progPSC=104
_fullREMb:
	.db	104,104,104,104,104,104,104,104,104,104	;index0..8=loop								


;-------------------------------------------------------------------------------------------
;progPSC=105
;progPSC=106
;none
;-------------------------------------------------------------------------------------------
	
;group remote
;progPSC=107
_groupREMc:
	.db		116,109,111,112,107,107,107,107	;index0 	= back IF
											;index1 	= suppose & back if
											;index2		= goon scanning
											;index3		= suppose & scan
											;index4..6 	= loop
;............................................................................................
;progPSC108...113
;none
;............................................................................................

;group remote
;progPSC=114
_groupREMd:
	.db	116,115

;............................................................................................
;progPSC115 & 116
;none
;............................................................................................

;hot shots setup
;progPSC=117
_HSsetA:
	.db		6,117,118,118	;index0 = back to prog-menu
							;index1 = loop
							;index2 = next step 


;hot shots name setup
;progPSC=118
_HSsetB:
	.db		118,118,118,118,118,118,118,118,122,118			;index0 	= back to last menu
															;index1..7 	= loop
															;index8		= next step 
															;index9		= loop

;............................................................................................
;progPSC119..121
;none (e2 store/read loops)
;............................................................................................
_HSsetC:
.db			122,122,122,122									;index0...3 = loop
;............................................................................................
;progPSC123..126
;none (e2 read/store loops)
;............................................................................................
;progPSC=127
_HSsetD:
.db		127,127,127,127,127,127,127,127,127,127,127,127		;0..11	= loop
;............................................................................................
;progPSC128..130
;none (e2 read / clear loops)
;............................................................................................

;:progPSC=131
_HSsetE:
.db		131,131,131,131,131,131,131,131,131,131	;0..8	= loop

;............................................................................................
;progPSC132..134
;none (e2 read / compare loops)
;............................................................................................
;:progPSC=135
_HSsetF:
.db		135,135 ;0..1	= loop
;............................................................................................
;progPSC136..140
;none (e2 read / write / compare loops)
;............................................................................................


;compare & execute
;progPSC=141
_COX_setA:
.db		141,141,141,141,141,141,141,141,141,141,141,141,141,141	;index0...12 loop

;compare & execute
;progPSC=142
_COX_setB:
.db		142,142,142,142,142,142,142,142,142,142,142,142,142,142	;index0...12 loop
;............................................................................................
;progPSC143..144
;none (e2 read / write loops)
;............................................................................................

;conditions
;progPSC=145
_COX_setC:
.db		145,145,145,145,145,145,145,145,145,145	;index0...8 loop

;execution
;progPSC=146
_COX_setD:
.db		146,146,146,146	;index0...3 loop

;----------------------------------------------------------------------------------------------
;adc to sensoric para section
;progPSC147..150 none
;..............................................................................................

;progPSC=151
_ADC_setA:
.db		84,151,151,151,151,151,151,151,151,151,151,151,151,151	;index0=back to adc
;progPSC=152
_ADC_setB:
.db		152,152	;index0=back&store to e2p

;............................................................................................
;progPSC153
;none (write loop)
;............................................................................................


;......................................
;psc155 extended if configuration
;......................................
_EXTifCON:
.db     155,155,155,155     ;index0 = back
                            ;index1 = scan
                            ;index2 = alive
                            ;index3 = kill
;............................................................................................
;progPSC156
;none (write loop)
;............................................................................................

;lha ID
;progPSC=157
_serIFcCombi:
	.db	157,157,157,157,157,157,157,157,157,157,157,157				;index0      = zurck & store
													            	;index1...11 = loop

;progPSC=158=none (store loop)

;progPSC=159 none
;...............................................................................................
;progPSC160
;extended timers
_extendTIMER:
    .db 160,160,160,160,160,160,160,160,160,160                         ;index0...8 loop 

;progPSC161
;extended timers - day
_extendTIMERday:
    .db 161,161,161,161,161,161,161,161,161,161                         ;index0...8 loop 


;................................................................................................
;progPSC162
;erase
_erasePROFILE:
    .db 162,162,162,162,162,162,162,162,162,162,162,162,162,162,162,162 ;index0..15 loop

;progPSC163
;erase ex
_erasePROFILEex:
    .db 163,163 ;index0..1 loop
;---------------------------------------------------------------------------------------------------------------

;info:
;a)datenstruktur: <para.function><basistext X><auswahlmenu X>
;			<subauswahlmenu X><infotextbaustein X><graph.baustein X>
;			<PARAx><paraPOSx><paraMINx><paraMAXx>...
;
;b)parameter funktionen (tabelle):
;
;Bit                           |7  |6  |5  |4  |3  |2  |1  |0  |Hex  |
;______________________________|___|___|___|___|___|___|___|___|_____|
;                              |edi|par|num|bar|p3 |p2 |p1 |p0 |     |
;______________________________|___|___|___|___|___|___|___|___|_____|
;edit alphnum.parameter        | x | x |   |   |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;edit num. parameter           | x | x | x |   |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;edit num. bargraph-parameter  | x | x | x | x |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;display alphanum.parameter    |   | x |   |   |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;display num.parameter 		   |   | x | x |   |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;display num. bargraph-param.  |   | x | x | x |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;keine parameter-funktion      |*  |   |*  |*  |*  |*  |*  |*  |0x   |
;______________________________|___|___|___|___|___|___|___|___|_____|
;
;p0-p3=anzahl angefgter parameter
;numG	=numerische darstellung
;parG =parameter
;barG =bargraph
;ediG =parameter editieren
;
;******************************************************************************************************************************
;_prHIF-tabellen -> versand via SPI zum HIF

_pgHIFtbl:
	.dw	0,_EPIN1tbl*2,_EPIN2tbl*2,_PSETtbl*2,_RTCtbl*2,_TIMEtbl*2,_TIMEBtbl*2,_DATEtbl*2,_DATEBtbl*2,_TIMAtbl*2		;0..9
	.dw	_TIMBtbl*2,_TIMCtbl*2,_PPORTAtbl*2,_PPORTBtbl*2,_PPORTCtbl*2,_PPORTDtbl*2,_PPORTEtbl*2,_PPORTFtbl*2			;10..17
	.dw	_PPORTGtbl*2,_PPORTHtbl*2,_PPORTItbl*2,_PPORTJtbl*2,_PDELAYAtbl*2,_PDELAYBtbl*2,_PDELAYCtbl*2,_PDELAYDtbl*2	;18..25
	.dw	_PDELAYEtbl*2,_PDELAYediAtbl*2,_PDELAYediBtbl*2,_PDELAYediCtbl*2,_PDELAYediDtbl*2,_PDELAYediEtbl*2			;26..31
	.dw	_PDELAYredtbl*2,_PDELAYFtbl*2,_PADCeditbl*2,_PADCredtbl*2,_PcompAtbl*2,_PcompBtbl*2,_PcompCtbl*2			;32..38
	.dw	_PcompDtbl*2,_PcompEtbl*2,_PmacroAtbl*2,_PmacroBtbl*2,_PmacroBredtbl*2,_PmacroCtbl*2,_PmacroCredtbl*2		;39..45
	.dw	_PserifAtbl*2,_PserifBtbl*2,_PserifCtbl*2,_PserifCredtbl*2,_PserifDtbl*2,_PserifDredtbl*2,_PserifEtbl*2		;46..52
	.dw	_PserifFtbl*2,_PserifFredtbl*2,_PserifGtbl*2,_PserifGredtbl*2,_PserifHtbl*2,_PserifItbl*2,_PserifJtbl*2		;53..59
	.dw	_PserifKtbl*2,_PserifLtbl*2,_PserifLredtbl*2,_PserifMtbl*2,_PserifMredtbl*2,_PserifNtbl*2,_PserifNredtbl*2	;60..66
	.dw	_PswitchAtbl*2,_PswitchAredtbl*2,_PswitchBtbl*2,_PswitchBredtbl*2,_PswitchCtbl*2,_PswitchCredtbl*2			;67..72
	.dw	_adcAtbl*2,_adcAredtbl*2,EmptyA*2,EmptyB*2,_PobjSELtbl*2,_PobjFRAMtblA*2,_PobjFRAMredtblA*2					;73..79
	.dw	_PobjFRAMtblB*2,_PobjFRAMredtblB*2,_PobjFRAMtblC*2,_PobjFRAMredtblC*2,_PfilFRAMtblA*2,_PfilFRAMredtblA*2	;80..85									;80..
	.dw	_PfilFRAMtblB*2,_PfilFRAMredtblB*2,_PfilFRAMtblC*2,_PfilFRAMredtblC*2,_PkeyStblA*2,_PkeySredtblA*2          ;86..91
	.dw	_PkeyStblB*2,_PkeySredtblB*2,_PkeyBASEtblA*2,_PkeyBASEredtblA*2,_PkeyTOGtblA*2,_PkeyTOGredtblA*2            ;92..97          
	.dw	_PremAtbl*2,_PremAredtbl*2,_PremBtbl*2,_PremBredtbl*2,_PgroupAtbl*2,_PgroupBtbl*2,_PgroupCtbl*2				;98..104
	.dw	_Photshot_tblA*2,_Photshot_redtblA*2,_Photshot_tblB*2,_Photshot_redtblB*2,_Photshot_tblC*2					;105..109
	.dw	_Photshot_redtblC*2,_Photshot_tblD*2,_Photshot_redtblD*2,_Photshot_tblE*2,_Photshot_redtblE*2				;110..114																					;110
	.dw	_Photshot_tblF*2,_Photshot_redtblF*2,_Pcompex_tblA*2,_Pcompex_tblBA*2,_Pcompex_tblBB*2,_Pcompex_tblBC*2     ;115..120
	.dw	_Pcompex_tblBD*2,_Pcompex_tblBE*2,_Pcompex_tblBF*2,_Pcompex_tblBG*2,_Pcompex_tblBH*2,_Pcompex_tblBI*2		;121..126

_pgHIFtblII:
	.dw	_Pcompex_tblBJ*2,_Pcompex_tblBK*2,_Pcompex_tblBL*2,_Pcompex_redtblB*2,_Pcompex_tblC*2,_Pcompex_redtblC*2	;127..132
	.dw	_Pcompex_tblD*2,_Pcompex_redtblD*2,_PadcLI_tblA*2,_PadcLI_tblB*2,_PadcLI_rtblB*2,_EXTifA*2,_EXTifAred*2     ;133..139
    .dw _EXTtimerFULL*2,_EXTtimerRED*2,_EXTtimerdayFULL*2,_EXTtimerdayRED*2,_ERASEselect*2,_ERASEselectFULL*2       ;140..145
    .dw _ERASEselectRED*2


;prHIF=1
_EPIN1tbl:
	.db	228,20,255,15,255,255,0,7,0,9,0,9,0,9,0,11,0,9,0,13,0,9	;(228)4x edit parameter /base:20/sub:15
;prHIF=2
_EPIN2tbl:
	.db	228,255,255,15,255,255,0,7,0,9,0,9,0,9,0,11,0,9,0,13,0,9	;4x edit parameter /sub:15
;prHIF=3
_PSETtbl:
	.db	0,15,2,255,255,255	;base15/auswahl2
;---------------------------------------------------------------------------------------------------------
;prHIF=4
_RTCtbl:
	.db	0,24,255,17,255,255	;base:24/sub:17
;prHIF=5
_TIMEtbl:
	.db	226,25,255,18,255,255,0,7,0,23,0,11,0,59	;edit 2xpara/base:25/sub:18
;prHIF=6
_TIMEBtbl:
	.db	226,255,255,18,255,255,0,7,0,23,0,11,0,59	;edit 2xpara//sub:18
;prHIF=7
_DATEtbl:
	.db	227,26,255,19,255,255,0,7,1,31,0,11,1,12,0,17,0,99	;edit 3xpara/base:26/sub:19
;prHIF=8
_DATEBtbl:
	.db	227,255,255,19,255,255,0,7,1,31,0,11,1,12,0,17,0,99	;edit 3xpara//sub:19
;-------------------------------------------------------------------------------------------------------------
;prHIF=9
_TIMAtbl:
	.db	0,6,3,255,255,255	;base:6/auswahl:3
;prHIF=10
_TIMBtbl:
	.db	228,6,255,20,255,255,0,5,0,3,0,9,0,7,0,13,0,23,0,17,0,59	;4xedit para/base:6 /sub-auswahl:20
;prHIF=11
_TIMCtbl:
	.db	228,255,255,20,255,255,0,5,0,3,0,9,0,7,0,13,0,23,0,17,0,59	;4xedit para//sub-auswahl:

;--------------------------------------------------------------------------------------------------------------
;prHIF=12
_PPORTAtbl:
	.db	225,27,255,21,255,255,0,8,0,7	;1xedit para/base:27/sub:21
;prHIF=13
_PPORTBtbl:
	.db	225,255,255,21,255,255,0,8,0,7	;1xedit para//sub:21

;prHIF=14 //100
_PPORTCtbl:
	.db	100,27,36,255,255,255,  0,28,0,7,  0,48,0,7,  0,68,0,7,  0,88,0,7	;(100)4xpara/base:27/aus:36


;TRIG
;prHIF=15
_PPORTDtbl:
	.db	226,8,255,22,255,255,0,8,0,7,0,17,0,7	;2xedit para/base:8/sub:22
;DEL
;prHIF=16
_PPORTEtbl:
	.db	226,10,255,22,255,255,0,8,0,7,0,17,0,7	;2xedit para/base:10/sub:22
;INTERVALL
;prHIF=17
_PPORTFtbl:
	.db	226,11,255,22,255,255,0,8,0,7,0,17,0,7	;2xedit para/base:11/sub:22
;C-COMPARE
;prHIF=18
_PPORTGtbl:
	.db	226,12,255,22,255,255,0,8,0,7,0,17,0,7	;2xedit para/base:12/sub:22
;DIREKT(A)
;prHIF=19
_PPORTHtbl:
	.db	226,13,255,22,255,255,0,8,0,7,0,17,0,7	;2xedit para/base:13/sub:22
;DIREKT(B)
;prHIF=20
_PPORTItbl:
	.db	226,14,255,22,255,255,0,8,0,7,0,17,0,7	;2xedit para/base:14/sub:22
;ALL REDUCED
;prHIF=21
_PPORTJtbl:
	.db	226,255,255,22,255,255,0,8,0,7,0,17,0,7	;2xedit para//sub:22


;-----------------------------------------------------------------------------------------------------------------

;prHIF=22
_PDELAYAtbl:
	.db	0,10,37,255,255,255	;base:10/aus:37

;prHIF=23
_PDELAYBtbl:
	.db	0,30,39,255,255,255	;base:30/aus:39

;prHIF=24
_PDELAYCtbl:
	.db	0,28,38,255,255,255	;base:28/aus:38

;prHIF=25
_PDELAYDtbl:
	.db	0,29,255,24,255,255	;base:29/sub:24

;prHIF=26
_PDELAYEtbl:
	.db	0,31,40,255,255,255	;base:31/aus:40

;FULL EDIT MASK
;A)CAT-DELAYS
;prhif=27
_PDELAYediAtbl:
	.db	228,30,255,23,255,255,0,10,0,3,0,13,0,2,0,15,0,9,0,17,0,9	;4xedit para/base:30 /sub-auswahl:23

;B)PWR-DELAYS
;prHIF=28
_PDELAYediBtbl:
	.db	228,31,255,23,255,255,0,10,0,3,0,13,0,2,0,15,0,9,0,17,0,9	;4xedit para/base:31 /sub-auswahl:23

;C)EVENT-DELAYS
;prHIF=29
_PDELAYediCtbl:
	.db	228,29,255,23,255,255,0,10,0,3,0,13,0,2,0,15,0,9,0,17,0,9	;4xedit para/base:29 /sub-auswahl:23

;D)INTERVALL-ON-DELAYS
;prHIF=30
_PDELAYediDtbl:
	.db	228,33,255,23,255,255,0,10,0,3,0,13,0,2,0,15,0,9,0,17,0,9	;4xedit para/base:32 /sub-auswahl:23

;E)INTERVALL-OFF-DELAYS
;prHIF=31
_PDELAYediEtbl:
	.db	228,32,255,23,255,255,0,10,0,3,0,13,0,2,0,15,0,9,0,17,0,9	;4xedit para/base:33 /sub-auswahl:23

;REDUCED EDIT MASK
;prHIF=32
_PDELAYredtbl:
	.db	228,255,255,23,255,255,0,10,0,3,0,13,0,2,0,15,0,9,0,17,0,9	;4xedit para//sub-auswahl:23

;prHIF=33
_PDELAYFtbl:
	.db	98,28,255,25,255,255,0,29,0,9,0,49,0,9	;2xpara/base:28/sub:25

;-----------------------------------------------------------------------------------------------------------------------

;E)INTERVALL-OFF-DELAYS
;prHIF=34
_PADCeditbl:
	.db	226,34,255,26,255,255,0,33,0,255,0,55,0,255	;2xedit para/base:33 /sub-auswahl:23

;REDUCED EDIT MASK
;prHIF=35
_PADCredtbl:
	.db	226,255,255,26,255,255,0,33,0,255,0,55,0,255	;2xedit para//sub-auswahl:23

;------------------------------------------------------------------------------------------------------------------------
;COMPARE INIT
;prHIF=36
_PcompAtbl:
	.db	0,12,255,27,255,255	;base:12/sub:27

;prHIF=37
_PcompBtbl:
	.db	0,35,255,255,95,255	;base:35/text:95

;prHIF=38	;     
_PcompCtbl:
	.db	72,12,255,28,255,255,   0,37,0,255,   0,57,0,255,   0,77,0,255,   0,97,0,255,   	0,117,0,255,   0,137,0,255,   0,157,0,255,   0,177,0,255	;8xascii para,base:12,sub-auswahl:28

;prHIF=39
_PcompDtbl:
	.db	0,36,255,29,255,255	;base:36/sub:29

;prHIF=40
_PcompEtbl:
	.db	0,37,255,30,255,255	;base:37/sub:30

;------------------------------------------------------------------------------------------------------------------------
;MACRO
;prHIF=41
_PmacroAtbl:
	.db	0,38,41,255,255,255	;base:38/aus:41

;prHIF=42
_PmacroBtbl:
	.db	228,39,42,255,255,255,  0,38,0,9,  0,58,0,9,  0,78,0,9,  0,98,0,9	;4xedit para/base:39/auswahl:42

;prHIF=43
_PmacroBredtbl:
	.db	228,255,42,255,255,255,  0,38,0,9,  0,58,0,9,  0,78,0,9,  0,98,0,9	;4xedit para//auswahl:42

;prHIF=44
_PmacroCtbl:
	.db	225,40,255,31,255,255,0,17,0,9	    ;1xedit para/base:40/sub:31

;prHIF=45
_PmacroCredtbl:
	.db	225,255,255,31,255,255,0,17,0,9		;1xedit para//sub:31


;--------------------------------------------------------------------------------------------------------------------------
;SER IF
;prHIF=46
_PserifAtbl:
	.db	0,41,43,255,255,255	;base:41/aus:43

;prHIF=47
_PserifBtbl:
	.db	67,41,255,32,255,255,0,36,0,255,0,56,0,255,0,76,0,255		;3xascii para,base:41,sub-auswahl:32
;
;
;prHIF=48 //201,44
_PserifCtbl:
	.db	201,44,255,76,255,255,    0,35,0x30,0x32,   0,37,0x30,0x39,    0,39,0x30,0x39, 	0,49,0x21,0x7a,  0,51,0x21,0x7a,	0,53,0x21,0x7a,		0,55,0x21,0x7a,		0,57,0x21,0x7a,			0,59,0x21,0x7a  ;edit 9xascii-para/base:44/sub:33
;prHIF=49
_PserifCredtbl:
	.db	201,255,255,76,255,255,   0,35,0x30,0x32,   0,37,0x30,0x39,    0,39,0x30,0x39,	0,49,0x21,0x7a,  0,51,0x21,0x7a,	0,53,0x21,0x7a,		0,55,0x21,0x7a,		0,57,0x21,0x7a,			0,59,0x21,0x7a	;edit 9xascii-para//sub:33
;
;
;prHIF=50
_PserifDtbl:
	.db	225,42,255,34,255,255,0,14,0,9	    ;edit 1xpara/base:42/sub:34
;prHIF=51
_PserifDredtbl:
	.db	225,255,255,34,255,255,0,14,0,9	;edit 1xpara//sub:34
;prHIF=52
_PserifEtbl:
	.db	0,42,44,255,255,255	;base:42/aus:44
;prHIF=53
_PserifFtbl:
	.db	236,42,45,255,255,255,0,35,0,9,0,37,0,9,0,39,0,9,0,55,0,9,0,57,0,9,0,59,0,9,0,75,0,9,0,77,0,9,0,79,0,9,0,95,0,9,0,97,0,9,0,99,0,9	;edit 12xpara/base:42/aus:45
;prHIF=54
_PserifFredtbl:
	.db	236,255,45,255,255,255,0,35,0,9,0,37,0,9,0,39,0,9,0,55,0,9,0,57,0,9,0,59,0,9,0,75,0,9,0,77,0,9,0,79,0,9,0,95,0,9,0,97,0,9,0,99,0,9		;edit 12xpara//aus:45
;prHIF=55
_PserifGtbl:
	.db	74,42,255,38,255,255,0,39,0,255,0,59,0,255,0,79,0,255,0,99,0,255,0,119,0,255,0,139,0,255,0,159,0,255,0,179,0,255,0,199,0,255,0,219,0,255		;10xascii para,base:42,sub-auswahl:38
;prHIF=56
_PserifGredtbl:
	.db	74,255,255,38,255,255,0,39,0,255,0,59,0,255,0,79,0,255,0,99,0,255,0,119,0,255,0,139,0,255,0,159,0,255,0,179,0,255,0,199,0,255,0,219,0,255		;10xascii para,base:42,sub-auswahl:38
;prHIF=57
_PserifHtbl:
	.db	0,42,46,255,255,255	;base:42/aus:46
;prHIF=58
_PserifItbl:
	.db	0,42,255,37,255,255	;base:42/sub:37
;prHIF=59
_PserifJtbl:
	.db	0,42,255,36,255,255	;base:42/sub:36
;prHIF=60
_PserifKtbl:
	.db	0,42,255,35,255,255	;base:42/aus:35
;prHIF=61
_PserifLtbl:
	.db	233,42,255,39,255,255,0,35,0,9,0,37,0,9,0,39,0,9,0,55,0,9,0,57,0,9,0,59,0,9,0,75,0,9,0,77,0,9,0,79,0,9	    ;edit 9xpara/base:42/sub:39
;prHIF=62
_PserifLredtbl:
	.db	233,255,255,39,255,255,0,35,0,9,0,37,0,9,0,39,0,9,0,55,0,9,0,57,0,9,0,59,0,9,0,75,0,9,0,77,0,9,0,79,0,9	    ;edit 9xpara//sub:39
;prHIF=63
_PserifMtbl:
	.db	201,42,255,40,255,255, 0,37,48,56,  0,53,47,71,  0,55,47,71,  0,57,47,71,  0,59,47,71,  0,73,47,71,  0,75,47,71,  0,77,47,71,  0,79,47,71	    ;edit 9xASCII para/base:42/sub:40
;prHIF=64
_PserifMredtbl:
	.db	201,255,255,40,255,255, 0,37,48,56,  0,53,47,71,  0,55,47,71,  0,57,47,71,  0,59,47,71,  0,73,47,71,  0,75,47,71,  0,77,47,71,  0,79,47,71	     ;edit 9xASCII para//sub:40
;prHIF=65
_PserifNtbl:
	.db	225,42,255,41,255,255,0,36,0,9	    ;edit 1xpara/base:42/sub:41
;prHIF=66
_PserifNredtbl:
	.db	225,255,255,41,255,255,0,36,0,9	;edit 1xpara//sub:41
;prHIF=67
_PswitchAtbl:
	.db	199,43,47,255,255,255,0,35,48,57,0,57,48,57,0,59,48,57,0,72,48,70,0,74,48,70,0,76,48,70,0,78,48,70	;edit 7xascii para base:43/aus:47
;prHIF=68
_PswitchAredtbl:
	.db	199,255,47,255,255,255,0,35,48,57,0,57,48,57,0,59,48,57,0,72,48,70,0,74,48,70,0,76,48,70,0,78,48,70	;edit 7xascii para base:43/aus:47	
;prHIF=69
_PswitchBtbl:
	.db	227,43,255,42,255,255,0,35,0,2,0,37,0,9,0,39,0,9	;edit 3xpara/base:43/sub:42
;prHIF=70
_PswitchBredtbl:
	.db	227,255,255,42,255,255,0,35,0,2,0,37,0,9,0,39,0,9	;edit 3xpara//sub:42
;prHIF=71
_PswitchCtbl:
	.db	71,43,48,255,255,255,0,39,0,255,0,59,0,255,0,79,0,255,0,99,0,255,0,119,0,255,0,139,0,255,0,159,0,255		;7xascii para,base:43,auswahl:48
;prHIF=72
_PswitchCredtbl:
	.db	71,255,48,255,255,255,0,39,0,255,0,59,0,255,0,79,0,255,0,99,0,255,0,119,0,255,0,139,0,255,0,159,0,255		;7xascii para,base:43,auswahl:48
;adc
;prHIF=73
_adcAtbl:
	.db	100,34,60,255,255,255,  0,37,0,255,  0,57,0,255,  0,77,0,255,  0,97,0,255	;(100)4xpara/base:34/aus:60
;prHIF=74
_adcAredtbl:
	.db	100,255,60,255,255,255,  0,37,0,255,  0,57,0,255,  0,77,0,255,  0,97,0,255	;(100)4xpara/aus:60

;-----------------------------------------------------------------------------------------------------------------------
;prHIF=75
EmptyA:
;	.db	230,44,255,43,255,255,0,35,0,9,0,37,0,9,0,39,0,9,0,55,0,9,0,57,0,9,0,59,0,9	    ;edit 6xpara/base:49/sub:43
;prHIF=76
EmptyB:
;	.db	230,255,255,43,255,255,0,35,0,9,0,37,0,9,0,39,0,9,0,55,0,9,0,57,0,9,0,59,0,9	    ;edit 6xpara//sub:43
;prHIF=137
;(show selection red.)



;.............................................................................................................................
;prHIF=77
;(object setting)
_PobjSELtbl:
	.db	0,45,50,255,255,255	;base:45/ausw:50
;prHIF=78
;(objectframer auswahl)
_PobjFRAMtblA:
	.db	225,46,255,44,255,255,0,35,0,19	;base:46/sub:44/edit:1xpara <POS:    >
;prHIF=79
;(objectframer auswahl - red.table)
_PobjFRAMredtblA:
	.db	225,255,255,44,255,255,0,35,0,19	;sub:44/edit:1xpara <POS:    >
;prHIF=80
;(dataclass,eol... auswahl)
_PobjFRAMtblB:
	.db	237,46,51,255,255,255,    0,9,0,1,  0,11,0,9,  0,34,0,2,  0,36,0,9,  0,38,0,9,  0,50,0,3,  0,52,0,9,  0,54,0,9,  0,56,0,9,  0,58,0,9,  0,74,0,2,  0,76,0,9,  0,78,0,9  	;base:46/aus:51/edit:13 x para <POS:    >
;prHIF=81
;(dataclass,eol...auswahl - red.table)
_PobjFRAMredtblB:
	.db	237,255,51,255,255,255,   0,9,0,1,  0,11,0,9,  0,34,0,2,  0,36,0,9,  0,38,0,9,  0,50,0,3,  0,52,0,9,  0,54,0,9,  0,56,0,9,  0,58,0,9,  0,74,0,2,  0,76,0,9,  0,78,0,9   ;aus:51/edit:13 x para <POS:    >
;prHIF=82
;(dataadresses... auswahl)
_PobjFRAMtblC:
	.db	200,46,255,45,255,255,   0,17,0x30,0x31,   0,19,0x30,0x39,   0,39,0x30,0x39,   0,59,0x30,0x39,  0,73,0x30,0x46,   0,75,0x30,0x46,   0,77,0x30,0x46,   0,79,0x30,0x46  	;base:46/sub:45/edit:8 x ascii-para <POS:    >
;prHIF=83
;(dataadresses...auswahl - red.table)
_PobjFRAMredtblC:
	.db	200,255,255,45,255,255,  0,17,0x30,0x31,   0,19,0x30,0x39,   0,39,0x30,0x39,   0,59,0x30,0x39,  0,73,0x30,0x46,   0,75,0x30,0x46,   0,77,0x30,0x46,   0,79,0x30,0x46  ;sub:45/edit:8 x ascii-para <POS:    >

;.............................................................................................................................
;prHIF=84
;(objectfilter auswahl)
_PfilFRAMtblA:
	.db	225,47,255,44,255,255,0,35,0,29	;base:47/sub:44/edit:1xpara <POS:    >
;prHIF=85
;(objectfilter red.auswahl)
_PfilFRAMredtblA:
	.db	225,255,255,44,255,255,0,35,0,29	;sub:44/edit:1xpara <POS:    >
;prHIF=86
;(dataclass,clientadress... auswahl)
_PfilFRAMtblB:
	.db	232,47,52,255,255,255,  0,17,0,2,  0,19,0,9,  0,35,0,2,  0,37,0,9,  0,39,0,9,  0,55,0,2,  0,57,0,9,  0,59,0,9  	;base:47/aus:52/edit:8 x para <POS:    >
;prHIF=87
;(dataclass,clientadress...auswahl - red.table)
_PfilFRAMredtblB:
	.db	232,255,52,255,255,255, 0,17,0,2,  0,19,0,9,  0,35,0,2,  0,37,0,9,  0,39,0,9,  0,55,0,2,  0,57,0,9,  0,59,0,9  ;aus:52/edit:8 x para <POS:    >
;prHIF=88
;(dataadresses... auswahl)
_PfilFRAMtblC:
	.db	200,47,255,45,255,255,   0,17,0x30,0x31,   0,19,0x30,0x39,   0,39,0x30,0x39,   0,59,0x30,0x39,  0,73,0x30,0x46,   0,75,0x30,0x46,   0,77,0x30,0x46,   0,79,0x30,0x46  	;base:47/sub:45/edit:8 x ascii-para <POS:    >
;prHIF=89
;(dataadresses...auswahl - red.table)
_PfilFRAMredtblC:
	.db	200,255,255,45,255,255,  0,17,0x30,0x31,   0,19,0x30,0x39,   0,39,0x30,0x39,   0,59,0x30,0x39,  0,73,0x30,0x46,   0,75,0x30,0x46,   0,77,0x30,0x46,   0,79,0x30,0x46  ;sub:45/edit:8 x ascii-para <POS:    >

;.........................................................................................................................................................................................................................................
;key-sequencer
;prHIF=90
;(select key 0...4)
_PkeyStblA:
	.db	225,58,57,255,255,255,0,39,0,4	;base:58/aus:57/edit:1xpara <POS:    >
;prHIF=91
;(select key reduced)
_PkeySredtblA:
	.db	225,255,57,255,255,255,0,39,0,4	;aus:57/edit:1xpara <POS:    >



;prHIF=92
;(select wt/sequ/ex to key)
_PkeyStblB:
	.db	229,58,58,255,255,255,   0,19,0,4,  0,35,0,2,   0,37,0,9,   0,39,0,9,   0,57,1,3 	;base:58/aus:58/edit:5xpara <POS:    >
;prHIF=93
;(select wt/sequ/ex to key reduced)
_PkeySredtblB:
	.db	229,255,58,255,255,255,  0,19,0,4,  0,35,0,2,   0,37,0,9,   0,39,0,9,   0,57,1,3  	;aus:58/edit:5xpara <POS:    >



;prHIF=94
;(select BASE ex-adresses...) 207
_PkeyBASEtblA:
	.db	207,58,255,53,255,255,  0,19,0x30,0x34,   0,39,0x31,0x33,     0,59,0x31,0x33,   0,79,0x31,0x33,   0,93,0x30,0x46,   0,95,0x30,0x46,   0,97,0x30,0x46,   0,99,0x30,0x46,   0,114,0x30,0x32,   0,116,0x30,0x39,   0,118,0x30,0x39,   0,134,0x30,0x32,   0,136,0x30,0x39,   0,138,0x30,0x39,  0,158,0x4e,0x59   ;base:58/sub:53/edit:15 x ascii-para <POS:    >

;prHIF=95
;(select BASE ex-adresses...)
_PkeyBASEredtblA:
	.db	207,255,255,53,255,255,  0,19,0x30,0x34,   0,39,0x31,0x33,    0,59,0x31,0x33,  0,79,0x31,0x33,   0,93,0x30,0x46,   0,95,0x30,0x46,   0,97,0x30,0x46,   0,99,0x30,0x46,   0,114,0x30,0x32,   0,116,0x30,0x39,   0,118,0x30,0x39,   0,134,0x30,0x32,   0,136,0x30,0x39,   0,138,0x30,0x39,     0,158,0x4e,0x59    ;sub:53/edit:15 x ascii-para <POS:    >




;prHIF=96
;(select TOGGLE ex-adresses...)
_PkeyTOGtblA:
	.db	205,58,255,54,255,255,  0,19,0x30,0x34,   0,39,0x31,0x33,   0,59,0x31,0x33,   0,73,0x30,0x46,   0,75,0x30,0x46,   0,77,0x30,0x46,   0,79,0x30,0x46,   0,94,0x30,0x32,   0,96,0x30,0x39,   0,98,0x30,0x39,   0,114,0x30,0x32,   0,116,0x30,0x39,   0,118,0x30,0x39     ;base:58/sub:54/edit:13 x ascii-para <POS:    >

;prHIF=97
;(select TOGGLE ex-adresses...)
_PkeyTOGredtblA:
	.db	205,255,255,54,255,255, 0,19,0x30,0x34,   0,39,0x31,0x33,   0,59,0x31,0x33,   0,73,0x30,0x46,   0,75,0x30,0x46,   0,77,0x30,0x46,   0,79,0x30,0x46,   0,94,0x30,0x32,   0,96,0x30,0x39,   0,98,0x30,0x39,   0,114,0x30,0x32,   0,116,0x30,0x39,   0,118,0x30,0x39     ;sub:54/edit:13 x ascii-para <POS:    >








;----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;prHIF=98
_PremAtbl:
	.db 73,80,49,255,255,255,0,33,0,255,0,34,0,255,0,35,0,255,0,53,0,255,0,54,0,255,0,55,0,255,0,56,0,255,0,57,0,255,0,58,0,255		;9xascii para,base:80,auswahl:49
;prHIF=99
_PremAredtbl:
	.db 73,255,49,255,255,255,0,33,0,255,0,34,0,255,0,35,0,255,0,53,0,255,0,54,0,255,0,55,0,255,0,56,0,255,0,57,0,255,0,58,0,255	;9xascii para,base:-,auswahl:49
;prHIF=100
_PremBtbl:
	.db	230,80,255,43,255,255,0,35,0,9,0,37,0,9,0,39,0,9,0,55,0,9,0,57,0,9,0,59,0,9	    ;edit 6xpara/base:80/sub:43
;prHIF=101
_PremBredtbl:
	.db	230,255,255,43,255,255,0,35,0,9,0,37,0,9,0,39,0,9,0,55,0,9,0,57,0,9,0,59,0,9	    ;edit 6xpara//sub:43


;----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;GROUP REMOTE
;prHIF=102
;TESTEN OB PARAMETER DARSTELLBAR 
_PgroupAtbl:
	.db	97,48,255,255,1,251,	0,18,0,255		;1x para,base:48,keine H-auswahl,keine sub-auswahl /big txt1		

;display found host
;prHIF=103
_PgroupBtbl:
	.db	74,48,255,51,255,255,		0,89,0,255,		0,91,0,255,		0,93,0,255,		0,95,0,255,			0,97,0,255,		0,99,0,255,		0,113,0,255,		0,115,0,255,		0,117,0,255,	0,133,0,255;10x ascii para,base:51,keine H-auswahl,sub-auswahl:48 		

;display host not found
;prHIF=104
_PgroupCtbl:
	.db	0,81,255,52,255,255		


;----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;HOT SHOTz
;prHIF=105
;(base menu)
_Photshot_tblA:
	.db	194,82,255,56,255,255,   0,37,0x30,0x46,   0,57,0x30,0x39 	;base:82/sub:56/edit:2 x ascii-para <POS:    
;prHIF=106
;(red.base menu)
_Photshot_redtblA:
	.db	194,255,255,56,255,255,   0,37,0x30,0x46,   0,57,0x30,0x39 	;base:-/sub:56/edit:2 x ascii-para <POS:    



;prHIF=107
;(hs name)
_Photshot_tblB:
	.db	199,82,255,57,255,255,   0,19,0x30,0x39,   0,29,0x30,0x7e,   0,31,0x30,0x7e,  0,33,0x30,0x7e,   0,35,0x30,0x7e,   0,37,0x30,0x7e,   0,39,0x30,0x7e  	;base:82/sub:57/edit:7 x ascii-para <POS:    >

;prHIF=108
;(red. hs name)
_Photshot_redtblB:
	.db	199,255,255,57,255,255,   0,19,0x30,0x39,   0,29,0x30,0x7e,   0,31,0x30,0x7e,  0,33,0x30,0x7e,   0,35,0x30,0x7e,   0,37,0x30,0x7e,   0,39,0x30,0x7e  	;base:-/sub:57/edit:7 x ascii-para <POS:    >



;prHIF=109
;(hs ghost)
_Photshot_tblC:
	.db	202,82,255,58,255,255,  0,39,0x30,0x35,   0,55,0x30,0x32,   0,57,0x30,0x39,   0,59,0x30,0x39,  0,69,0x21,0x7e,   0,71,0x21,0x7e,   0,73,0x21,0x7e,   0,75,0x21,0x7e,   0,77,0x21,0x7e,   0,79,0x21,0x7e    ;base:82/sub:58/edit:10 x ascii-para <POS:    >

;prHIF=110
;(red. hs ghost)
_Photshot_redtblC:
	.db	202,255,255,58,255,255,  0,39,0x30,0x35,   0,55,0x30,0x32,   0,57,0x30,0x39,   0,59,0x30,0x39,  0,69,0x21,0x7e,   0,71,0x21,0x7e,   0,73,0x21,0x7e,   0,75,0x21,0x7e,   0,77,0x21,0x7e,   0,79,0x21,0x7e    ;base:82/sub:58/edit:10 x ascii-para <POS:    >



;prHIF=111
_Photshot_tblD:
	.db	234,83,61,255,255,255,	 0,37,0,8,	0,57,0,8,	0,77,0,8,	0,97,0,8,	0,117,0,8,	0,137,0,8,	0,157,0,8,	0,177,0,8,	0,197,0,8,	0,217,0,8	;edit 10xpara/base:83/aus:61
;prHIF=112
_Photshot_redtblD:
	.db	234,255,61,255,255,255,	 0,37,0,8,	0,57,0,8,	0,77,0,8,	0,97,0,8,	0,117,0,8,	0,137,0,8,	0,157,0,8,	0,177,0,8,	0,197,0,8,	0,217,0,8	;edit 10xpara//aus:61


;prHIF=113
;(hs dev)
_Photshot_tblE:
	.db	200,84,62,255,255,255,  0,22,0x2d,0x78,   0,24,0x2d,0x78,   0,26,0x2d,0x78,   0,28,0x2d,0x78,  0,30,0x2d,0x78,   0,32,0x2d,0x78,   0,34,0x2d,0x78,   0,36,0x2d,0x78  ;base:84/aus:62/edit:8 x ascii-para <POS:    >

;prHIF=114
;(red. hes dev)
_Photshot_redtblE:
	.db	200,255,62,255,255,255,  0,22,0x2d,0x78,   0,24,0x2d,0x78,   0,26,0x2d,0x78,   0,28,0x2d,0x78,  0,30,0x2d,0x78,   0,32,0x2d,0x78,   0,34,0x2d,0x78,   0,36,0x2d,0x78    ;base:-/aus:62/edit:8 x ascii-para <POS:    >


;prHIF=115
;(select macro)
_Photshot_tblF:
	.db	225,84,63,255,255,255,	0,38,0,9	;base:84/aus:63/edit:1xpara <POS:    >
;prHIF=116
;(select macro reduced)
_Photshot_redtblF:
	.db	225,255,63,255,255,255,	0,38,0,9	;base:-/aus:63/edit:1xpara <POS:    >



;----------------------------------------------------------------------------------------------------------
;COMPARE & EXECUTE
;prHIF=117
;(show menuA)
_Pcompex_tblA:
	.db	0,86,59,255,255,255		;base:86/aus:59/edit:-

;++++++++++++++++++++++++++
;Second menu // full hifs
;prHIF=118
;A)a-temp headline
_Pcompex_tblBA:
	.db 233,62,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=119
;B)i-temp headline
_Pcompex_tblBB:
	.db 233,63,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=120
;C)humidity headline
_Pcompex_tblBC:
	.db 233,64,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=121
;D)pressure headline
_Pcompex_tblBD:
	.db 233,65,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=122
;E)rotation headline
_Pcompex_tblBE:
	.db 233,66,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=123
;F)current headline
_Pcompex_tblBF:
	.db 233,67,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=124
;G)voltage headline
_Pcompex_tblBG:
	.db 233,68,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=125
;H)speed headline
_Pcompex_tblBH:
	.db 233,69,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=126
;I) brightness headline
_Pcompex_tblBI:
	.db 233,70,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=127
;J) noise headline
_Pcompex_tblBJ:
	.db 233,71,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=128
;K) timing headline
_Pcompex_tblBK:
	.db 233,72,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 
;prHIF=129
;L) position headline
_Pcompex_tblBL:
	.db 233,73,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 

;REDUCED !
;prHIF=130
;M) position headline
_Pcompex_redtblB:
	.db 233,255,255,60,255,255,	0,39,0,9,	0,51,0,6,  0,53,0,9,  0,55,0,9,  0,57,0,9,  0,59,0,9,   0,75,0,2,  0,77,0,9,   0,79,0,9  ;base:62/aus:-/sub:60/para:9 dec.edit 


;prHIF=131
;conditions
_Pcompex_tblC:
	.db 72,87,64,255,255,255,	0,37,0x2b,0x2d,	0,57,0x2b,0x2d,  0,77,0x2b,0x2d,  0,97,0x2b,0x2d,  0,117,0x2b,0x2d,  0,137,0x2b,0x2d,   0,157,0x2b,0x2d,  0,177,0x2b,0x2d  ;base:87/aus:64/sub:-/para:8 ascii 

;prHIF=132
;red. conditions
_Pcompex_redtblC:
	.db 72,255,64,255,255,255,	0,37,0x2b,0x2d,	0,57,0x2b,0x2d,  0,77,0x2b,0x2d,  0,97,0x2b,0x2d,  0,117,0x2b,0x2d,  0,137,0x2b,0x2d,   0,157,0x2b,0x2d,  0,177,0x2b,0x2d  ;base:87/aus:64/sub:-/para:8 ascii 



;prHIF=133
;execution
_Pcompex_tblD:
	.db	195,88,255,61,255,255,  0,37,0x2b,0x39,   0,57,0x2b,0x39,   0,77,0x2b,0x2d    ;base:88/aus:-/sub:61/edit:3 x ascii-para <POS:    >

;prHIF=134
;red execution
_Pcompex_redtblD:
	.db	195,255,255,61,255,255,  0,37,0x2b,0x39,   0,57,0x2b,0x39,   0,77,0x2b,0x2d    ;base:-/aus:-/sub:61/edit:3 x ascii-para <POS:    >


;----------------------------------------------------------------------------------------------------------------------------------------------------------------------
;ADC-Link
;prHIF=135
;(show menuA)
_PadcLI_tblA:
	.db	0,89,59,255,255,255		;base:89/aus:59/edit:-

;prHIF=136
;(show selection full)
_PadcLI_tblB:
	.db	225,89,255,62,255,255, 0,37,0,9		;base:89/aus:59/edit:1 dec

;prHIF=137
;(show selection red.)
_PadcLI_rtblB:
	.db	225,255,255,62,255,255, 0,37,0,9	;base:89/aus:59/edit:1 dec



;-----------------------------------------------------------------------------------------------------------------
;extended if configuration
;-----------------------------------------------------------------------------------------------------------------
;prHIF=138
_EXTifA:
    .db 0,95,255,75,255,255     ;base:95/aus:-/sub:75 no edit

;prHIF=139
_EXTifAred:
    .db 0,255,255,75,255,255     ;base:-/aus:-/sub:75 no edit



;------------------------------------------------------------------------------------------------------------------
;EXTENDED TIMER CONFIGURATION
;------------------------------------------------------------------------------------------------------------------
;_EXTtimerFULL:
    ;prHIF=140
;	.db	232,98,70,255,255,255,  0,38,0,9,    0,50,0,52,    0,70,0,31,      0,92,0,23,      0,112,0,59,      0,138,0,9,     0,158,0,1,     0,178,0,1	;8xedit para/base:62 /sub-auswahl:-

;_EXTtimerRED:
    ;prHIF=141
;	.db	232,255,70,255,255,255,  0,38,0,9,    0,50,0,52,    0,70,0,31,      0,92,0,23,      0,112,0,59,      0,138,0,9,     0,158,0,1,     0,178,0,1	;8xedit para/base:62 /sub-auswahl:-


_EXTtimerFULL:
    ;prHIF=140
	.db	230,98,70,255,255,255,  0,38,0,9,   0,72,0,23,      0,92,0,59,      0,118,0,9,     0,138,0,1,     0,158,0,1	;6xedit para/base:98 /auswahl:70

_EXTtimerRED:
    ;prHIF=141
	.db	230,255,70,255,255,255,  0,38,0,9,   0,72,0,23,      0,92,0,59,      0,118,0,9,     0,138,0,1,     0,158,0,1	;6xedit para/base:- /sub-auswahl:70



;prHIF=142
_EXTtimerdayFULL:
	.db	72,98,71,255,255,255,  0,18,0x30,0x39,  0,38,0x2b,0x2d,  0,58,0x2b,0x2d,  0,78,0x2b,0x2d,  0,98,0x2b,0x2d,  0,118,0x2b,0x2d,  0,138,0x2b,0x2d,  0,158,0x2b,0x2d		;8x ascii para,base:98,H-auswahl:71
;red. screen
;prHIF=143
_EXTtimerdayRED:
	.db	72,255,71,255,255,255,  0,18,0x30,0x39, 0,38,0x2b,0x2d,  0,58,0x2b,0x2d,  0,78,0x2b,0x2d,  0,98,0x2b,0x2d,  0,118,0x2b,0x2d,  0,138,0x2b,0x2d,  0,158,0x2b,0x2d		;8x ascii para,base:-,H-auswahl:71



;prHIF=144
_ERASEselect:
	.db	0,99,72,255,255,255		;keine para,basistext:99 auswahl:72 





;prHIF=145 /78
_ERASEselectFULL:
	.db	78,100,73,255,255,255,  0,26,0x30,0x7e,  0,27,0x30,0x7e,  0,28,0x30,0x7e,  0,29,0x30,0x7e,  0,30,0x30,0x7e,  0,31,0x30,0x7e,  0,32,0x30,0x7e,     0,33,0x30,0x7e,	0,34,0x30,0x7e,    0,35,0x30,0x7e,   0,36,0x30,0x7e,	0,37,0x30,0x7e,    0,38,0x30,0x7e,   0,39,0x30,0x7e	;14x ascii para,base:99,H-auswahl:73
;prHIF=146
_ERASEselectRED:
	.db	78,255,73,255,255,255,   0,26,0x30,0x7e,  0,27,0x30,0x7e,  0,28,0x30,0x7e,  0,29,0x30,0x7e,  0,30,0x30,0x7e,  0,31,0x30,0x7e,  0,32,0x30,0x7e,     0,33,0x30,0x7e,	0,34,0x30,0x7e,    0,35,0x30,0x7e,   0,36,0x30,0x7e,	0,37,0x30,0x7e,    0,38,0x30,0x7e,   0,39,0x30,0x7e           ;14x ascii para,base:99,H-auswahl:73

