;------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------
;-------------------- START HOT-SHOT EXECUTION --------------------------------------------
;------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------
;hot shot execution modul
;entry: var: HSnumb 0...4 
;       flag:HSexe =1 // HSon =1 // HSdevEDI=0 (HOTstate)
;		disable other framers by setting group-remote
;------------------------------------------------------------------------------------------
;INFO: remoteable by setting HSnumb 0..4 & HSexe=1
;------------------------------------------------------------------------------------------
_HSexe001PROZx:
	jmp	_HSexe001PROZ
_HSexe000PROZ:
    lds	r17,remFLAG
    sbrc    r17,RTon
    rjmp    _HSexeKILL
	;load counter
	lds	r21,HOTpsc
	;test flags
	lds	r19,HOTstate
	sbrs	r19,HSon			;hot-shots enabled
	rjmp	_HSexe000PROZback	;disabled
	sbrs	r19,HSexe			;hot-shots enabled
	rjmp	_HSexe000PROZback	;disabled
	;--------------------------------------------------
	;ok - test counter
	tst	r21
	brne	_HSexe001PROZx
	;test & wait till serIF is ready...
	;zuerst entry conditions prfen...
	lds	r19,SEflagVARa		;serial flag variable A laden
	lds	r22,SEflagVARb		; "             "     B
	lds	r16,SEflagVARc		; "             "     C
	;serielles if enabled ?
	sbrs	r19,SEenabled               ;OK
	rjmp		_HSexe000PROZback		;serielle module disabled
	;frame aus buffer noch nicht verschickt
	sbrc	r19,TXframe                 ;OK
	rjmp	_HSexe000PROZback		; "             "            "         "
	;serielles if noch busy
	sbrc	r19,SEbusy                  ;OK
	rjmp	_HSexe000PROZback		;aktiver bertragung
	;vorbereitung im sercom luft
	sbrc	r22,newTX                   ;OK
	rjmp	_HSexe000PROZback
	;requestanforderung im sercom luft noch...
	sbrc	r22,reqTX                   ;OK
	rjmp	_HSexe000PROZback
   	;noch ein twi-job zu erledigen, dann kein neues frame !
    lds     r22,TWIstatus
    sbrc    r22,doTWI               ;BINGO !!!
  	rjmp	_HSexe000PROZback
 	;----------------------------------------------------------
	;all done..
	;perhaps any frame in tx-buffer to transmit
	lds	r17,SEflagVARc
    sbrc    r17,FRbuild         ;OK
    rjmp    _HSexe000PROZback

    ;perhaps dma-framer busy filling tx-buffer
    sbrc    r17,FRAMEdma
    rjmp    _HSexe000PROZback

	;now disable other framebuilders
    sbr r17,1<<FRAMEhot         ;module ready
	sts	SEflagVARc,r17

	;next step...
	ldi	r21,1
	jmp	_HSexe001PROZ


	;loop...
_HSexe000PROZback:
	jmp	_HSexeLOOP







_HSexeKILL:
	;exe-state=0
	lds	r21,HOTstate
	cbr	r21,1<<HSexe
	sts	HOTstate,r21
	;counter =0
	clr	r21	
	sts	HOTpsc,r21
	ret


;--------------------------------------------------------------------------------------
;---------------------- ADRESS SEGMENT & CHECK HOST ADRESS ----------------------------
;--------------------------------- INDEPENDENT ----------------------------------------
;--------------------------------------------------------------------------------------
_HSexe002PROZx:
	jmp	_HSexe002PROZ
_HSexe001PROZ:
	cpi	r21,1
	brne	_HSexe002PROZx
	;check <HSseg>
	lds	r19,HSseg
	cpi	r19,6
	brsh	_HSexe001PROZready	;all done <=> back 
	;<6 ok
	;-------------------------------------------
	;set startadress (points to the host adress
	lds	yl,HOTnumb
	ldi	yh,hshot_seg_fact   ;0xb5(181)
	;<HOTnumb>*<hshot_seg_fact>
	mul	yl,yh
	movw	yh:yl,r1:r0
	;+<gadr_add_fact>
	subi yl,low(-gadr_add_fact)	;+7 (HS-FLAGS + NAME)
	sbci yh,high(-gadr_add_fact)
	;-------------------------------------------
	lds	zl,HSseg
	ldi	zh,hshot_Gseg_fact  ;0x1d (29)
	;(<hshot_Gseg_fact> * <HSseg>)
	mul	zl,zh
	movw	zh:zl,r1:r0
	;+<hot_shot_tbl>
	subi zl,low(-hot_shot_tbl)
	sbci zh,high(-hot_shot_tbl)
	;(<HOTnumb>*<hshot_seg_fact>)+<gadr_add_fact>
	;                   +(<hshot_Gseg_fact> * <HSseg>) + <hot_shot_tbl>	
	add	yl,zl
	adc	yh,zh
	;result: HOTe2adrL/H
	sts	HOTe2adrL,yl
	sts	HOTe2adrH,yh
	;
	;READ HOST ADRESS FROM SEGMENT
	;now read host-adress from e2p
	sbic	eecr,eewe		; EEPE nicht gelscht ?
	rjmp	_HSexe001PROZback	; warte...
	out	eearh,yh
	out	eearl,yl		; adressierung e2prom
	sbi	eecr,eere		; bereite bertragung aus e2prom vor 
	in	r19,eedr		; hole host-adress aus e2prom nach r19
	;
	;=0 ? <=> not valid - next segment...
	tst	r19
	breq	_HSexe001PROZnxt
	;=255 <=> not guilty - next segment...
	cpi	r19,255
	breq	_HSexe001PROZnxt
	;adress in range
	;store adress to <HGROUPadr>
	sts	HGROUPadr,r19
	;------------------------------------------------------------
	;pointers
	ldi	r19,1
	sts	HOTe2point,r19 		;e2p-points to data quantity...
	;help pointers
	clr	r19
	sts	HGROUPTpointACT,r19	;counts targets in segment
	sts	HGROUPGpoint,r19	;counts msb/lsb/para in segment
	;------------------------------------------------------------
	;next step...
	ldi	r21,2
	jmp	_HSexeLOOP	;back with status store



;-------------------------------------
;host adress not guilty - test next segment !
_HSexe001PROZnxt:
	lds	zl,HSseg
	;next segment...
	inc	zl
	sts	HSseg,zl
	jmp	_HSexeLOOP

;-------------------------------------
;back without action
_HSexe001PROZback:
	jmp	_HSexeLOOP


;-------------------------------------
;ready & back...
_HSexe001PROZready:
	;ready executed
	jmp	_HSexeREADY	



;--------------------------------------------------------------------------------------
;---------------------- COPY SEGMENT TO RX_BUFFER -------------------------------------
;----------------------------INDEPENDENT ----------------------------------------------
;--------------------------------------------------------------------------------------
;HOTe2point  		= adress-pointer e2prom (adressing: startadress[HOTe2adrL/H] + pointer)
;HGROUPTpointMAX	= data quantity max
;HGROUPTpointACT	= data-quantity actually-1	
;HGROUPGpoint		= counts target adress nibble & para
_HSexeREADYx:
	jmp	_HSexeREADY	
_HSexe002PROZ:
	cpi	r21,2
	brne	_HSexeREADYx
	;load e2p pointer
	lds	zl,HOTe2point
	clr	zh
	;load startadress
	lds	yl,HOTe2adrL
	lds	yh,HOTe2adrH
	;add startadress+pointer
	add	yl,zl
	adc	yh,zh
	;now read from e2p
	sbic	eecr,eewe		; EEPE nicht gelscht ?
	rjmp	_HSexe002PROZback	; warte...
	out	eearh,yh
	out	eearl,yl		; adressierung e2prom
	sbi	eecr,eere		; bereite bertragung aus e2prom vor 
	in	r19,eedr		; hole host-adress aus e2prom nach r19



	;-----------------------------------------------------------
	;=1 ? -> load quantity
	cpi		zl,1
	brne	_HSexe002PROZb
	;quantity in range ?
	tst	r19
	breq	_HSexe002PROZoutrange	;=0   out of range
	cpi	r19,10
	brsh	_HSexe002PROZoutrange	;>=10 out of range
	;-----------------------------------------------------------
	;in range !
	sts	HGROUPTpointMAX,r19	;store as max !
	;e2p pointer+1
	inc	zl
	sts	HOTe2point,zl
	;back in loop
	jmp	_HSexe002PROZback

	;-----------------------------------------------------------
_HSexe002PROZoutrange:
	;=0 out of range !
	lds	zl,HSseg
	;next segment...
	inc	zl
	sts	HSseg,zl
	;new state
	ldi	r21,1
	jmp	_HSexeLOOP	;back...
	;-----------------------------------------------------------




_HSexe002PROZb:
	;HOTe2point 	>1 -> load adresses & paras
	;HGROUPGpoint	=0 -> load target msb 
	lds		zh,HGROUPGpoint	
	tst		zh
	brne	_HSexe002PROZc
	;=0  store target msb temp.
	sts		HOTparadrHte,r19
	;
	;e2p pointer+1
	inc	zl
	sts	HOTe2point,zl
	;
	;byte pointer +1
	inc	zh	
	sts	HGROUPGpoint,zh
	;
	;back in loop
	jmp	_HSexe002PROZback

	;-------------------------------------------------------------

_HSexe002PROZc:
	;HOTe2point 	>1 -> load adresses & paras
	;HGROUPGpoint	=1 -> load target lsb
	cpi		zh,1
	brne	_HSexe002PROZd
	;=0  store target lsb temp.
	sts		HOTparadrLte,r19
	;
	;e2p pointer+1
	inc	zl
	sts	HOTe2point,zl
	;
	;byte pointer +1
	inc	zh	
	sts	HGROUPGpoint,zh
	;
	;back in loop
	jmp	_HSexe002PROZback


	;--------------------------------------------------------------
_HSexe002PROZsystemX:
	jmp	_HSexe002PROZsystem
	;
_HSexe002PROZd:
	;HOTe2point 	>1 -> load adresses & paras
	;HGROUPGpoint	=2 -> load target para
	cpi		zh,2
	brne	_HSexe002PROZoutrange
	;store source adress (pointer HGROUPTpointACT)
	;rx-buffer calculate: 		(HGROUPTpointACT*5) + 10) + RX_BUFFER <=> points to the msb of source-adress
	;temp_para_hstbl calculate:  HGROUPTpointACT + temp_para_hstbl <=> points to the source para-adress
	;-----------------------------------------
	;A) calc para source-adress
	lds	yl,HGROUPTpointACT
	clr	yh
	subi	yl,low(-temp_para_hstbl)
	sbci	yh,high(-temp_para_hstbl)
	;store para
	st		y,r19
	;--------------------------------------------------
	;ATTENTION: IF TARGET-HOST ADRESS == NET_SOU_ADRESS
	;           THEN COPY DATA TO SYSTEM !!!
	;--------------------------------------------------
	lds	zl,HGROUPadr		;phys. target adress
	lds	zh,net_sou_adress	;system adress
	cp	zl,zh
	breq	_HSexe002PROZsystemX	;to system !
	;--------------------------------------------------
	;
	;
	;to lab !
	;-koMAP
	subi	yl,low(koMAP)
	sbci	yh,high(koMAP)
	;store source adress temporary -KOMAP !
	sts		HOTparadrL,yl	;para-adress L 
	sts		HOTparadrH,yh	;            H
	;-----------------------------------------
	;B) calc tx_buffer source-adress MSB
	;HGROUPTpointACT*5
	lds	yl,HGROUPTpointACT
	ldi	yh,5
	mul	yl,yh
	;+7
	clr	yh
	ldi	yl,7
	add	yl,r0
	adc	yh,r1
	;+txbuffer
	subi	yl,low(-TXbufferST)	;Add low byte ( x -(-y)) = x + y
	sbci	yh,high(-TXbufferST)	;Add high byte with carry


	;store MSB source
	lds		r19,HOTparadrH
	st		y+,r19
	;store LSB source
	lds		r19,HOTparadrL
	st		y+,r19
	;store MSB target
	lds		r19,HOTparadrHte
	st		y+,r19
	;store LSB target
	lds		r19,HOTparadrLte
	st		y,r19



	;
	;byte pointer [HGROUPGpoint]=0
	clr	zh
	sts	HGROUPGpoint,zh
	;
	;e2p pointer +1
	lds	zh,HOTe2point
	inc	zh
	sts	HOTe2point,zh
	;
	;actually target counter +1
	lds	yl,HGROUPTpointACT
	inc	yl
	sts	HGROUPTpointACT,yl
	;
	;compare act/max
	lds	yh,HGROUPTpointMAX
	cp	yl,yh
	brsh	_HSexe002PROZSEGready	;segment ready (now complete tx-frame)
	;back in loop
	jmp	_HSexe002PROZback




;--------------------------------------------
;segment ready (now complete tx-frame)
;without koMAP - will be added in sercom !
;next check if there's another segment within
;the hot shot...
;--------------------------------------------
_HSexe002PROZSEGready:	
	ldi	zl,low(TXbufferST)
	ldi	zh,high(TXbufferST)
	;mode identifier
	ldi	r19,136
	st	z+,r19
	;
	;phys.adresses
	lds	r19,HGROUPadr		;target adress
	st	z+,r19
	adiw	zh:zl,1
	;
	lds	r19,net_sou_adress	;source adress
	st	z+,r19
	adiw	zh:zl,1
	;
	;data-size
	;(HGROUPTpointMAX*5)+7
	lds	yh,HGROUPTpointMAX
	ldi	yl,5
	mul	yl,yh
	;+7
	ldi	yl,7
	add	yl,r0
	;store
	st	z+,yl
	;storage-type=1
	ldi	r19,1
	st	z,r19	;
	;





	;newTX=1
	lds	zl,SEflagVARb
	sbr	zl,1<<newTX
	sts	SEflagVARb,zl
	;
    lds	r17,SEflagVARc
	sbr	r17,1<<FRbuild          ;frame in rx-buffer
	sts	SEflagVARc,r17
	;next segment...
	lds	zl,HSseg
	inc	zl
	sts	HSseg,zl
	;new state
	clr	r21
	jmp	_HSexeLOOP	;back...


;--------------------------------------------
;data to system
;& add koMAP to stored target adresses
;--------------------------------------------
_HSexe002PROZsystem:
	lds	yl,HOTparadrLte
	lds	yh,HOTparadrHte
	;+koMAP
	subi	yl,low(-koMAP)
	sbci	yh,high(-koMAP)
	st	y,r19	;store stimuli data to system target-adress
	; 
	;byte pointer [HGROUPGpoint]=0
	clr	zh
	sts	HGROUPGpoint,zh
	;
	;e2p pointer +1
	lds	zh,HOTe2point
	inc	zh
	sts	HOTe2point,zh
	;
	;actually target counter +1
	lds	yl,HGROUPTpointACT
	inc	yl
	sts	HGROUPTpointACT,yl
	;
	;compare act/max
	lds	yh,HGROUPTpointMAX
	cp	yl,yh
	brsh	_HSexe002PROZSEGreadySYS	;segment ready 
	;back in loop
	jmp	_HSexe002PROZback


;--------------------------------------------
;segment to system ready 
;next check if there's another segment within
;the hot shot...
;--------------------------------------------
_HSexe002PROZSEGreadySYS:	
	;next segment...
	lds	zl,HSseg
	inc	zl
	sts	HSseg,zl
	;no serIF activity
	;FRbuild =1
	lds	r17,SEflagVARc	
;	cbr	r17,1<<FRbuild	;no frame build...
	sts	SEflagVARc,r17
	;new state
	clr	r21
	jmp	_HSexeLOOP	;back...


;--------------------------------------------
;back in loop
_HSexe002PROZback:
	jmp	_HSexeLOOP




;-------------------------------------------------
;back
_HSexeREADY:
	;set event 181+HSnumb
	lds	yl,HOTnumb
	ldi	yh,181
	add	yl,yh
		;..........................................
		;event 181...185
		sts	eventTE,yl			;hot shot event setzen
		call	_MAKEeventSUB	;submodul !
		;..........................................

	;exe-state=0
	lds	r21,HOTstate
	cbr	r21,1<<HSexe
	sts	HOTstate,r21
    ;ready
    lds	r21,SEflagVARc
    cbr r21,1<<FRAMEhot         ;module ready
	sts	SEflagVARc,r21
	;counter =0
	clr	r21	
_HSexeLOOP:
	sts	HOTpsc,r21
	ret
