;.........................................................
;e2prom segment delete modul - enabled by setupBX
;note: system reboots if done !
;.........................................................

_STOR000del:
	lds	r16,e2pDELvar
	sbrs	r16,e2pDEL
	rjmp		_STOR000exit

;.........................................................
;delete activ
;.........................................................
_STOR001del:
    sbic	eecr,eewe		; EEPE nicht gelscht ?
	rjmp	_STOR000exit	; warte...
    ;e2p ready...
    lds zl,e2DELpointL
    lds zh,e2DELpointH
    lds yl,e2DELrangeL
    lds yh,e2DELrangeH
    ;data =0
    clr r18
    ;disable global interrupts
    cli
    ;load adress
	out	eearh,zh
	out	eearl,zl		; adressierung e2prom
	out	eedr,r18        ; kopiere ins'e2prom-datenregister
	sbi	eecr,eemwe	
	sbi	eecr,eewe		;set EEPROM Write strobe
	;compare 
    cp  zl,yl
    cpc zh,yh
    breq    _STOR002del
    adiw    zh:zl,1
    sts e2DELpointL,zl
    sts e2DELpointH,zh
    rjmp  _STOR002exit
    
    

;.................................................
;segment delete ready
;.................................................  
_STOR002del:
      sbic	eecr,eewe		; EEPE nicht gelscht ?
	  rjmp	_STOR002del	; warte...
      cbr   r16,1<<e2pDEL
      sts   e2pDELvar,r16
      ;reboot
      ldi   zl,low(SYSinit)
      ldi   zh,high(SYSinit)
      ijmp


;.................................................
;return
;.................................................
_STOR002exit:
    sei
_STOR000exit:
	ret
