;----------------------------------------------------------------------------
;subs  spi-init
;----------------------------------------------------------------------------

;a) master: -generiert clk f. slave
;           -bertragung der daten vom master zum slave
;		-master sendet daten im polling-mode (keine interrupts)
_SPImasterINIT:
    cli
	clr	r16
	sts	spiDATctIST,r16	    
    sts spiDEMcnt,r16
    ;.................
 	;output-pins
	in	r16,ddrb
;	cbr	r16,1<<MISO 		;MISO output
	sbr	r16,1<<_SS
	sbr	r16,1<<MOSI
	sbr	r16,1<<SCK ;_SS,MOSI,SCK outputs
	out	ddrb,r16
	;spcr0 - spi control register
	clr	r16
	sbr	r16,1<<spe
	sbr	r16,1<<mstr
;	sbr	r16,1<<SPR0         
;	sbr	r16,1<<SPR1         ;Fclk/4
	out	spcr,r16
	;read spsr0	(lscht spif bit)
	in	r16,spsr
	;danach spdr0 lesen
	in	r16,spdr
    sei
    cbi portb,_SS
	ret
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;hier beispie0l fr bertragungsroutine z. slave
;	
;_SPImasterTX:
;	out	spdr0,rxx	;zu bertragende daten
;
;_SPImasterLOOP:
;	sbis	spsr0,spif
;	rjmp	_SPImasterLOOP	;warte bis daten bertragen
;	ret				;daten drauen - nun weitere daten bertragen
;					;                oder schlu
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;
;a) slave : -clk wird von master geliefert
;           -empfang der daten vom master
;		-interrupt-gesteuerter empfang
_SPIslaveINIT:
    cli
;    sbi	portb,_SS
	clr	r16
	sts	spiDATctIST,r16
	;output-pins
	in	r16,ddrb
	sbr	r16,1<<MISO 		;MISO output
	cbr	r16,1<<_SS
    cbr r16,1<<_ifSEL
	out	ddrb,r16			;ddrb schreiben
    ;TEST 26-12-07
    sbi	portb,_SS
    ;set _ifSEL as a input
	sbi	portb,_ifSEL
	;spcr0 - spi control register
	clr	r16
	sbr	r16,1<<spe
	sbr	r16,1<<spie 	;enable spi,spi interrupt enabled
	out	spcr,r16
	;read spsr0	(lscht spif(interrupt-flags) bit)
	in	r16,spsr
	;danach spdr0 lesen
	in	r16,spdr
    sei
	ret




