	;**************************************************************************		
	;*                         Local System Events		                      *
	;**************************************************************************
	;*INFO:																	  *
	;*Gesetzte Flags initiieren den transfer eines DMA-,ODER/UND OBJEKTFRAMES *
	;**************************************************************************
	;*Adressierung: SYSeventST + Event = Flashtableadresspointer !			  *
	;**************************************************************************
	;0 = profile nicht belegt / aktiviert
	;1 = profile-timer1 (1-255 s) overflow event+
	;2 = profile-timer2 (1-255 s) overflow event+
	;3 = new second-event+
	;4 = new minute-event+
	;5 = new hour-event+
	;6 = new day-event+
	;7 = new month-event+
	;8 = new year-event+
	;9 = rail&portENABLE (H)/ 0xcc = ports aktiviert   +
	;10= rail&portDISABLE(L)/ 0xcc = ports deaktiviert +
	;11= power-up (...systempower fhrt hoch !)*
	;12= power-down (...systempower runterfahren !)*
	;.......................................................
	;noch nicht aktiv
	;13= HIF 2
	;14= HIF 3
	;15= HIF 4
	;16= HIF 5
	;17= HIF 6
	;..............................................................
	;18= new 5 second-event+
	;19= powerrail-shortcut event+
	;--------------------------------------------------------------
	;switchport events
	;20= switchPOev0 - hysteresis event	+	
	;21= switchPOev1 - hysteresis event	+		
	;22= switchPOev2 - hysteresis event	+		
	;23= switchPOev3 - hysteresis event	+		
	;24= switchPOev4 - hysteresis event	+		
	;25= switchPOev5 - hysteresis event	+
	;26= switchPOev6 - hysteresis event	+		
	;27= switchPOev7 - hysteresis event	+		
	;28= switchPOev8 - hysteresis event	+		
	;29= switchPOev9 - hysteresis event	+
	;..............................................................
	;noch nicht aktiv
	;30= HIF 7
	;31= HIF 8
	;32= HIF 9
	;33= HIF 10
	;34= HIF 11
	;35= HIF 12			
	;36= HIF 13			
	;--------------------------------------------------------------
	;macro
	;37= make new programmacro event +
	;38= new programmacro executed event +
	;--------------------------------------------------------------
	;timer
	;39= timer 0 event				(compare equal detected)+
	;40= timer 1 event				(compare equal detected)+
	;41= timer 2 event				(compare equal detected)+
	;42= timer 3 event				(compare equal detected)+
	;...........................
	;reserved for future timers
	;43...46
	;--------------------------------------------------------------
	;
	;--------------------------------------------------------------
	;light
	;47= (dimmable)ALL lights DOWN event 	(down instruction detected)*
	;48= (dimmable)ALL lights UP   event 	(up instruction detected)*
	;49= (dimmable) light 0   DOWN event 	(down instruction detected)*
	;50= (dimmable) light 1   DOWN event 	(down instruction detected)*
	;51= (dimmable) light 2   DOWN event 	(down instruction detected)*
	;52= (dimmable) light 3   DOWN event 	(down instruction detected)*
	;53= (dimmable) light 4   DOWN event 	(down instruction detected)*
	;54= (dimmable) light 5   DOWN event 	(down instruction detected)*
	;55= (dimmable) light 6   DOWN event 	(down instruction detected)*
	;56= (dimmable) light 7   DOWN event 	(down instruction detected)*
	;57= (dimmable) light 0   UP   event 	(up instruction detected)*
	;58= (dimmable) light 1   UP   event 	(up instruction detected)*
	;59= (dimmable) light 2   UP   event 	(up instruction detected)*
	;60= (dimmable) light 3   UP   event 	(up instruction detected)*
	;61= (dimmable) light 4   UP   event 	(up instruction detected)*
	;62= (dimmable) light 5   UP   event 	(up instruction detected)*
	;63= (dimmable) light 6   UP   event 	(up instruction detected)*
	;64= (dimmable) light 7   UP   event 	(up instruction detected)*
	;65= new light-devicedriver event       (new state of any light device)+
	;...........................
	;reserved for future lights
	;66...70
	;--------------------------------------------------------------
	;
	;--------------------------------------------------------------
	;delays
	;71= delaystart ALL	*
	;72= delaystart 0 event				(start instruction detected)*
	;73= delaystart 1 event				(start instruction detected)*
	;74= delaystart 2 event				(start instruction detected)*
	;75= delaystart 3 event				(start instruction detected)*
	;76= delaystart 4 event				(start instruction detected)*
	;77= delaystart 5 event				(start instruction detected)*
	;78= delaystart 6 event				(start instruction detected)*
	;79= delaystart 7 event				(start instruction detected)*
	;80= new delay-devicedriver event	(new state of any delay device)+
	;...........................
	;--------------------------------------------------------------
	;
	;--------------------------------------------------------------
	;blend position
	;81= blend all STOP	event	(all stop instruction detected)*
	;82= blend all DOWN	event	(all down instruction detected)*
	;83= blend all UP   event   (all up   instruction detected)*
	;
	;84 = blend 0 STOP event 	(stop instruction detected)*
	;85	= blend 1 STOP event 	(stop instruction detected)*
	;86	= blend 2 STOP event 	(stop instruction detected)*
	;87	= blend 3 STOP event 	(stop instruction detected)*
	;88 = blend 4 STOP event 	(stop instruction detected)*
	;89	= blend 5 STOP event 	(stop instruction detected)*
	;90 = blend 6 STOP event 	(stop instruction detected)*
	;91 = blend 7 STOP event 	(stop instruction detected)*

	;92	= blend 0 DOWN event 	(down instruction detected)*
	;93	= blend 1 DOWN event 	(down instruction detected)*
	;94	= blend 2 DOWN event 	(down instruction detected)*
	;95	= blend 3 DOWN event 	(down instruction detected)*
	;96	= blend 4 DOWN event 	(down instruction detected)*
	;97 = blend 5 DOWN event 	(down instruction detected)*
	;98 = blend 6 DOWN event 	(down instruction detected)*
	;99 = blend 7 DOWN event 	(down instruction detected)*

	;100= blend 0 UP   event 	(up instruction detected)*
	;101= blend 1 UP   event 	(up instruction detected)*
	;102= blend 2 UP   event 	(up instruction detected)*
	;103= blend 3 UP   event 	(up instruction detected)*
	;104= blend 4 UP   event 	(up instruction detected)*
	;105= blend 5 UP   event 	(up instruction detected)*
	;106= blend 6 UP   event 	(up instruction detected)*
	;107= blend 7 UP   event 	(up instruction detected)*

	;108= new blend-devicedriver event up/down (compa)+
	;109= new blend-devicedriver event on/off  (compb)+



	;..............................
	;reserved for future blends
	;111...115
	;--------------------------------------------------------------
	;
	;
	;--------------------------------------------------------------
	;direkt A
	;116= Direkt A   all OFF event		(all off instruction detected) *
	;117= Direkt A   all ON  event		(all on  instruction detected) *
	;
	;118= Direkt A   0 ON    event		(on  instruction detected) *
	;119= Direkt A   1 ON    event		(on  instruction detected) *	
	;120= Direkt A   2 ON    event		(on  instruction detected) *
	;121= Direkt A   3 ON    event		(on  instruction detected) *
	;122= Direkt A   4 ON    event		(on  instruction detected) *
	;123= Direkt A   5 ON    event		(on  instruction detected) *
	;124= Direkt A   6 ON    event		(on  instruction detected) *
	;125= Direkt A   7 ON    event		(on  instruction detected) *
	;126= Direkt A   0 OFF   event		(off instruction detected) *
	;127= Direkt A   1 OFF   event		(off instruction detected) *	
	;128= Direkt A   2 OFF   event		(off instruction detected) *
	;129= Direkt A   3 OFF   event		(off instruction detected) *
	;130= Direkt A   4 OFF   event		(off instruction detected) *
	;131= Direkt A   5 OFF   event		(off instruction detected) *
	;132= Direkt A   6 OFF   event		(off instruction detected) *
	;133= Direkt A   7 OFF   event		(off instruction detected) *
	;134= new direct-devicedriver event	(new state of any direct device)+
	;..............................
	;reserved for future directs
	;135...140
	;--------------------------------------------------------------	
	;
	;--------------------------------------------------------------	
	;key sequencer execute activities
	;141= key0	Sequence1 +
	;142= key0  Sequence2 +
	;143= key0	Sequence3 +
	; 
	;144= key1	Sequence1 +
	;145= key1  Sequence2 +
	;146= key1	Sequence3 +
	;
	;147= key2	Sequence1 +
	;148= key2  Sequence2 +
	;149= key2	Sequence3 +
	;
	;150= key3	Sequence1 +
	;151= key3  Sequence2 +
	;152= key3	Sequence3 +
	;
	;153= key4	Sequence1 +
	;154= key4  Sequence2 +
	;155= key4	Sequence3 +
	;..............................
	;reserved for future keys
	;156...160
	;--------------------------------------------------------------	
	;
	;--------------------------------------------------------------
	;key-pinlevel
	;161= key 0 H/L-edge-event + 
	;162= key 0 L/H-edge-event +
	;163= key 1 H/L-edge-event +
	;164= key 1 L/H-edge-event +
	;165= key 2 H/L-edge-event +
	;166= key 2 L/H-edge-event +
	;167= key 3 H/L-edge-event +
	;168= key 3 L/H-edge-event +
	;169= key 4 H/L-edge-event +
	;170= key 4 L/H-edge-event +
	;..............................
	;reserved for future pinlevel
	;170...180
	;--------------------------------------------------------------	
	;INFO: * = im process-modul durch hif-communication generiert
	;      + = hif-unabhngig im core generiert (zeit-,wertvergleich
	;          oder-portereignis)
	;--------------------------------------------------------------
